" Vim syntax file
" Language:     NASL
" Maintainer:   Ron Bowes <rbowes@tenable.com>
" Last Change:  Thu Sep 23 14:53:57 CDT 2010
"
" Based on the work done by Herman Polloni <polloni@confianze.com>

" Remove any old syntax stuff that was loaded (5.x) or quit when a syntax file
" was already loaded (6.x).
if version < 600
  syntax clear
elseif exists("b:current_syntax")
  finish
endif

" Built-in functions extracted from nasl_init.c
" NASL 2.0.10
syn keyword naslFunction script_name script_version script_timeout script_description script_copyright
syn keyword naslFunction script_summary script_category script_family script_dependencie script_dependencies
syn keyword naslFunction script_require_keys script_require_ports script_require_udp_ports script_exclude_keys
syn keyword naslFunction script_add_preference script_get_preference script_id script_cve_id script_bugtraq_id
syn keyword naslFunction script_xref safe_checks set_kb_item get_kb_item get_kb_list security_warning
syn keyword naslFunction security_note security_hole
syn keyword naslFunction open_sock_tcp  open_sock_tcp open_sock_udp open_priv_sock_tcp open_priv_sock_udp
syn keyword naslFunction recv recv_line send close join_multicast_group leave_multicast_group
syn keyword naslFunction cgibin is_cgi_installed http_open_socket http_head http_get http_post
syn keyword naslFunction http_delete http_put http_close_socket http_recv_headers
syn keyword naslFunction get_host_name
syn keyword naslFunction get_host_ip
syn keyword naslFunction get_host_open_port
syn keyword naslFunction get_port_state
syn keyword naslFunction get_tcp_port_state
syn keyword naslFunction get_udp_port_state
syn keyword naslFunction scanner_add_port
syn keyword naslFunction scanner_status
syn keyword naslFunction scanner_get_port
syn keyword naslFunction islocalhost
syn keyword naslFunction islocalnet
syn keyword naslFunction get_port_transport
syn keyword naslFunction this_host
syn keyword naslFunction this_host_name
syn keyword naslFunction string
syn keyword naslFunction raw_string
syn keyword naslFunction strcat
syn keyword naslFunction display
syn keyword naslFunction ord
syn keyword naslFunction hex
syn keyword naslFunction hexstr
syn keyword naslFunction strstr
syn keyword naslFunction ereg
syn keyword naslFunction ereg_replace
syn keyword naslFunction egrep
syn keyword naslFunction eregmatch
syn keyword naslFunction match
syn keyword naslFunction substr
syn keyword naslFunction insstr
syn keyword naslFunction tolower
syn keyword naslFunction toupper
syn keyword naslFunction crap
syn keyword naslFunction strlen
syn keyword naslFunction split
syn keyword naslFunction chomp
syn keyword naslFunction int
syn keyword naslFunction stridx
syn keyword naslFunction str_replace
syn keyword naslFunction make_list
syn keyword naslFunction make_array
syn keyword naslFunction keys
syn keyword naslFunction max_index
syn keyword naslFunction max_index
syn keyword naslFunction sort
syn keyword naslFunction telnet_init
syn keyword naslFunction ftp_log_in
syn keyword naslFunction ftp_get_pasv_port
syn keyword naslFunction start_denial
syn keyword naslFunction end_denial
syn keyword naslFunction dump_ctxt
syn keyword naslFunction typeof
syn keyword naslFunction exit
syn keyword naslFunction rand
syn keyword naslFunction usleep
syn keyword naslFunction sleep
syn keyword naslFunction isnull
syn keyword naslFunction defined_func
syn keyword naslFunction forge_ip_packet
syn keyword naslFunction get_ip_element
syn keyword naslFunction set_ip_elements
syn keyword naslFunction insert_ip_options
syn keyword naslFunction dump_ip_packet
syn keyword naslFunction forge_tcp_packet
syn keyword naslFunction get_tcp_element
syn keyword naslFunction set_tcp_elements
syn keyword naslFunction dump_tcp_packet
syn keyword naslFunction tcp_ping
syn keyword naslFunction forge_udp_packet
syn keyword naslFunction get_udp_element
syn keyword naslFunction set_udp_elements
syn keyword naslFunction dump_udp_packet
syn keyword naslFunction forge_icmp_packet
syn keyword naslFunction get_icmp_element
syn keyword naslFunction forge_igmp_packet
syn keyword naslFunction send_packet
syn keyword naslFunction pcap_next
syn keyword naslFunction MD2
syn keyword naslFunction MD4
syn keyword naslFunction MD5
syn keyword naslFunction SHA
syn keyword naslFunction SHA1
syn keyword naslFunction RIPEMD160
syn keyword naslFunction HMAC_MD2
syn keyword naslFunction HMAC_MD5
syn keyword naslFunction HMAC_SHA
syn keyword naslFunction HMAC_SHA1
syn keyword naslFunction HMAC_DSS
syn keyword naslFunction HMAC_RIPEMD160
syn keyword naslFunction NTLMv1_HASH
syn keyword naslFunction NTLMv2_HASH
syn keyword naslFunction nt_owf_gen
syn keyword naslFunction lm_owf_gen
syn keyword naslFunction ntv2_owf_gen

" Constants extracted from nasl_init.c
syn keyword naslConstant TRUE
syn keyword naslConstant FALSE
syn keyword naslConstant pcap_timeout
syn keyword naslConstant IPPROTO_TCP
syn keyword naslConstant IPPROTO_UDP
syn keyword naslConstant IPPROTO_ICMP
syn keyword naslConstant IPROTO_IP
syn keyword naslConstant IPPROTO_IGMP
syn keyword naslConstant ENCAPS_IP
syn keyword naslConstant ENCAPS_SSLv23
syn keyword naslConstant ENCAPS_SSLv2
syn keyword naslConstant ENCAPS_SSLv3
syn keyword naslConstant ENCAPS_TLSv1
syn keyword naslConstant NASL_LEVEL
syn keyword naslConstant TH_FIN
syn keyword naslConstant TH_SYN
syn keyword naslConstant TH_RST
syn keyword naslConstant TH_PUSH
syn keyword naslConstant TH_ACK
syn keyword naslConstant TH_URG
syn keyword naslConstant IP_RF
syn keyword naslConstant IP_DF
syn keyword naslConstant IP_MF
syn keyword naslConstant IP_OFFMASK
syn keyword naslConstant ACT_INIT
syn keyword naslConstant ACT_GATHER_INFO
syn keyword naslConstant ACT_ATTACK
syn keyword naslConstant ACT_MIXED_ATTACK
syn keyword naslConstant ACT_DESTRUCTIVE_ATTACK
syn keyword naslConstant ACT_DENIAL
syn keyword naslConstant ACT_SCANNER
syn keyword naslConstant ACT_SETTINGS
syn keyword naslConstant ACT_KILL_HOST
syn keyword naslConstant ACT_END
syn keyword naslConstant MSG_OOB
 
" Functions extracted from .inc files
syn keyword naslFunction AFPLogin
syn keyword naslFunction ARCFOUR
syn keyword naslFunction CloseFile
syn keyword naslFunction CloseServiceHandle
syn keyword naslFunction CloseSession
syn keyword naslFunction ControlService
syn keyword naslFunction CreateFile
syn keyword naslFunction CreateService
syn keyword naslFunction DES
syn keyword naslFunction DSI_GetDataLen
syn keyword naslFunction DSI_GetErrorCode
syn keyword naslFunction DSI_LastError
syn keyword naslFunction DSI_Packet
syn keyword naslFunction DSI_SendRecv
syn keyword naslFunction DeleteService
syn keyword naslFunction EnumServicesStatus
syn keyword naslFunction FPCloseVol
syn keyword naslFunction FPEnumerateExt2
syn keyword naslFunction FPEnumerateExt2Parse
syn keyword naslFunction FPGetSrvrParms
syn keyword naslFunction FPGetSrvrParmsParseReply
syn keyword naslFunction FPLogin
syn keyword naslFunction FPLogout
syn keyword naslFunction FPOpenVol
syn keyword naslFunction FPOpenVolParseReply
syn keyword naslFunction FindFirstFile
syn keyword naslFunction FindFirstFile2
syn keyword naslFunction FindNextFile
syn keyword naslFunction FindNextFile2
syn keyword naslFunction GetBundleVersionCmd
syn keyword naslFunction GetCarbonVersionCmd
syn keyword naslFunction GetFileSize
syn keyword naslFunction GetFileVersion
syn keyword naslFunction GetFileVersionEx
syn keyword naslFunction GetProductVersion
syn keyword naslFunction GetSecurityInfo
syn keyword naslFunction GetService
syn keyword naslFunction GetServiceDisplayName
syn keyword naslFunction GetStatus
syn keyword naslFunction HTTP_DES
syn keyword naslFunction HTTP_NTLM_Hash
syn keyword naslFunction HTTP_NTLM_Response
syn keyword naslFunction HTTP_des_encrypt
syn keyword naslFunction HTTP_permute
syn keyword naslFunction HTTP_set_des_key
syn keyword naslFunction HTTP_str_to_key
syn keyword naslFunction ICMP
syn keyword naslFunction LEword
syn keyword naslFunction LM_Hash
syn keyword naslFunction LM_Response
syn keyword naslFunction LMv2_Response
syn keyword naslFunction LsaClose
syn keyword naslFunction LsaEnumerateAccountsWithUserRight
syn keyword naslFunction LsaLookupNames
syn keyword naslFunction LsaLookupSid
syn keyword naslFunction LsaOpenPolicy
syn keyword naslFunction LsaQueryDomainInformationPolicy
syn keyword naslFunction LsaQueryInformationPolicy
syn keyword naslFunction LsaQuerySecurityObject
syn keyword naslFunction NTLM_Hash
syn keyword naslFunction NTLM_Response
syn keyword naslFunction NTLMv2_Hash
syn keyword naslFunction NTLMv2_Response
syn keyword naslFunction NetEnum
syn keyword naslFunction NetGetInfo
syn keyword naslFunction NetGroupGetUsers
syn keyword naslFunction NetLocalGroupGetMembers
syn keyword naslFunction NetServerEnum
syn keyword naslFunction NetServerGetInfo
syn keyword naslFunction NetSessionEnum
syn keyword naslFunction NetShareEnum
syn keyword naslFunction NetUseAdd
syn keyword naslFunction NetUseDel
syn keyword naslFunction NetUserGetGroups
syn keyword naslFunction NetUserGetInfo
syn keyword naslFunction NetUserGetLocalGroups
syn keyword naslFunction NetUserGetModals
syn keyword naslFunction NetWkstaGetInfo
syn keyword naslFunction NetWkstaUserEnum
syn keyword naslFunction OpenSCManager
syn keyword naslFunction OpenService
syn keyword naslFunction OpenSession
syn keyword naslFunction QueryServiceObjectSecurity
syn keyword naslFunction QueryServiceStatus
syn keyword naslFunction ROUND
syn keyword naslFunction ReadFile
syn keyword naslFunction RegCloseKey
syn keyword naslFunction RegConnectRegistry
syn keyword naslFunction RegEnumKey
syn keyword naslFunction RegEnumValue
syn keyword naslFunction RegGetKeySecurity
syn keyword naslFunction RegOpenKey
syn keyword naslFunction RegQueryInfoKey
syn keyword naslFunction RegQueryValue
syn keyword naslFunction S
syn keyword naslFunction SamCloseHandle
syn keyword naslFunction SamConnect2
syn keyword naslFunction SamEnumerateDomainsInSamServer
syn keyword naslFunction SamGetAliasMemberShip
syn keyword naslFunction SamGetGroupsForUser
syn keyword naslFunction SamGetMembersInAlias
syn keyword naslFunction SamGetMembersInGroup
syn keyword naslFunction SamLookupDomainInSamServer
syn keyword naslFunction SamLookupIdsInDomain
syn keyword naslFunction SamLookupNamesInDomain
syn keyword naslFunction SamOpen
syn keyword naslFunction SamOpenAlias
syn keyword naslFunction SamOpenDomain
syn keyword naslFunction SamOpenGroup
syn keyword naslFunction SamOpenUser
syn keyword naslFunction SamQueryInformationDomain
syn keyword naslFunction SamQueryInformationUser
syn keyword naslFunction StartService
syn keyword naslFunction TCP
syn keyword naslFunction UDP
syn keyword naslFunction WriteFile
syn keyword naslFunction XOR
syn keyword naslFunction _GetBundleVersionCmd
syn keyword naslFunction _HMAC_SHA256
syn keyword naslFunction _RegOpenKey
syn keyword naslFunction __hex_value
syn keyword naslFunction _check_telnet
syn keyword naslFunction _hex
syn keyword naslFunction _hex2raw
syn keyword naslFunction _http_close_socket_ka_only
syn keyword naslFunction _http_recv
syn keyword naslFunction _http_send_recv_once
syn keyword naslFunction _rand64
syn keyword naslFunction acquired_ticket
syn keyword naslFunction activex_check_fileversion
syn keyword naslFunction activex_end
syn keyword naslFunction activex_get_filename
syn keyword naslFunction activex_get_fileversion
syn keyword naslFunction activex_get_killbit
syn keyword naslFunction activex_get_name
syn keyword naslFunction activex_init
syn keyword naslFunction activex_is_installed
syn keyword naslFunction add_authority_information_access
syn keyword naslFunction add_authority_key_identifier
syn keyword naslFunction add_certificate_policies
syn keyword naslFunction add_crl_distribution_points
syn keyword naslFunction add_extended_key_usage
syn keyword naslFunction add_extension_data
syn keyword naslFunction add_general_name
syn keyword naslFunction add_hex_string
syn keyword naslFunction add_hex_string_nl
syn keyword naslFunction add_install
syn keyword naslFunction add_key_usage
syn keyword naslFunction add_port_in_list
syn keyword naslFunction add_rdn_seq
syn keyword naslFunction add_rdn_seq_nl
syn keyword naslFunction add_string
syn keyword naslFunction add_string_nl
syn keyword naslFunction add_subject_alternative_name
syn keyword naslFunction add_subject_key_identifier
syn keyword naslFunction aix_check_patch
syn keyword naslFunction aix_report_add
syn keyword naslFunction aix_report_get
syn keyword naslFunction already_known_flaw
syn keyword naslFunction answers_differ
syn keyword naslFunction apache_module_is_installed
syn keyword naslFunction arcfour_setkey
syn keyword naslFunction arp_ping
syn keyword naslFunction ascii
syn keyword naslFunction ascii2ebcdic
syn keyword naslFunction ascii2utf16LE
syn keyword naslFunction base64
syn keyword naslFunction base64_code
syn keyword naslFunction base64_decode
syn keyword naslFunction base64decode
syn keyword naslFunction beginning_of_response
syn keyword naslFunction ber_decode
syn keyword naslFunction ber_decode_oid
syn keyword naslFunction ber_encode
syn keyword naslFunction ber_get_addr
syn keyword naslFunction ber_get_counter32
syn keyword naslFunction ber_get_data
syn keyword naslFunction ber_get_int
syn keyword naslFunction ber_get_octet_string
syn keyword naslFunction ber_get_oid
syn keyword naslFunction ber_get_response_pdu
syn keyword naslFunction ber_get_sequence
syn keyword naslFunction ber_get_timeticks
syn keyword naslFunction ber_length
syn keyword naslFunction ber_put_get_next_pdu
syn keyword naslFunction ber_put_get_pdu
syn keyword naslFunction ber_put_int
syn keyword naslFunction ber_put_null
syn keyword naslFunction ber_put_octet_string
syn keyword naslFunction ber_put_oid
syn keyword naslFunction ber_put_sequence
syn keyword naslFunction bf_F
syn keyword naslFunction bind_pipe
syn keyword naslFunction blowfish_decipher
syn keyword naslFunction blowfish_decrypt
syn keyword naslFunction blowfish_encipher
syn keyword naslFunction blowfish_encrypt
syn keyword naslFunction blowfish_initialize
syn keyword naslFunction buffer_parameter
syn keyword naslFunction build_url
syn keyword naslFunction can_host_asp
syn keyword naslFunction can_host_php
syn keyword naslFunction cdr_get_byte_order
syn keyword naslFunction cdr_marshal_long
syn keyword naslFunction cdr_marshal_num
syn keyword naslFunction cdr_marshal_octet
syn keyword naslFunction cdr_marshal_short
syn keyword naslFunction cdr_marshal_string
syn keyword naslFunction cdr_marshal_wstring
syn keyword naslFunction cdr_set_byte_order
syn keyword naslFunction cdr_unmarshal_long
syn keyword naslFunction cdr_unmarshal_num
syn keyword naslFunction cdr_unmarshal_octet
syn keyword naslFunction cdr_unmarshal_short
syn keyword naslFunction cdr_unmarshal_string
syn keyword naslFunction cdr_unmarshal_wstring
syn keyword naslFunction cgi_dirs
syn keyword naslFunction check_account
syn keyword naslFunction check_gssapi_token
syn keyword naslFunction check_kerberos_response
syn keyword naslFunction check_oracle_patch
syn keyword naslFunction check_pattern
syn keyword naslFunction check_release
syn keyword naslFunction check_version
syn keyword naslFunction check_win_dir_trav
syn keyword naslFunction check_win_dir_trav_ka
syn keyword naslFunction class_name
syn keyword naslFunction class_parameter
syn keyword naslFunction clean_string
syn keyword naslFunction clear_cookiejar
syn keyword naslFunction client_hello
syn keyword naslFunction client_send_cert
syn keyword naslFunction cmp_addr_v
syn keyword naslFunction cmp_build
syn keyword naslFunction cmp_html
syn keyword naslFunction cmp_release
syn keyword naslFunction cmp_version
syn keyword naslFunction cmpv
syn keyword naslFunction compute_diff
syn keyword naslFunction convert_all_time
syn keyword naslFunction convert_dword
syn keyword naslFunction convert_generalized_time
syn keyword naslFunction convert_time_to_sec
syn keyword naslFunction convert_utc_time
syn keyword naslFunction crc32
syn keyword naslFunction create_uddi_xml
syn keyword naslFunction crypt
syn keyword naslFunction cstring
syn keyword naslFunction cvsdate2unixtime
syn keyword naslFunction cvss_vector_to_base_score
syn keyword naslFunction cvss_vector_to_temporal_score
syn keyword naslFunction dce_rpc
syn keyword naslFunction dce_rpc_alter_context
syn keyword naslFunction dce_rpc_auth3
syn keyword naslFunction dce_rpc_bind
syn keyword naslFunction dce_rpc_connect
syn keyword naslFunction dce_rpc_ntlmssp_header
syn keyword naslFunction dce_rpc_parse_bind_ack
syn keyword naslFunction dce_rpc_parse_response
syn keyword naslFunction dce_rpc_pipe_request
syn keyword naslFunction dce_rpc_request
syn keyword naslFunction dce_rpc_sendrecv_request
syn keyword naslFunction deb_check
syn keyword naslFunction deb_report_add
syn keyword naslFunction deb_report_get
syn keyword naslFunction deb_str_cmp
syn keyword naslFunction deb_ver_cmp
syn keyword naslFunction debug_print
syn keyword naslFunction dec2hex
syn keyword naslFunction declare_broken_web_server
syn keyword naslFunction decode_file_directory_info
syn keyword naslFunction decode_smb2
syn keyword naslFunction decode_uuid
syn keyword naslFunction decrypt
syn keyword naslFunction deprecated_version
syn keyword naslFunction der_decode
syn keyword naslFunction der_decode_asrep
syn keyword naslFunction der_decode_kdcrep
syn keyword naslFunction der_decode_oid
syn keyword naslFunction der_decode_tgsrep
syn keyword naslFunction der_encode
syn keyword naslFunction der_encode_apreq
syn keyword naslFunction der_encode_asreq
syn keyword naslFunction der_encode_boolean
syn keyword naslFunction der_encode_crypt
syn keyword naslFunction der_encode_enumerated
syn keyword naslFunction der_encode_filter
syn keyword naslFunction der_encode_int
syn keyword naslFunction der_encode_int32
syn keyword naslFunction der_encode_kdc_req_body
syn keyword naslFunction der_encode_kdcreq
syn keyword naslFunction der_encode_list
syn keyword naslFunction der_encode_name
syn keyword naslFunction der_encode_negtokeninit
syn keyword naslFunction der_encode_octet_string
syn keyword naslFunction der_encode_oid
syn keyword naslFunction der_encode_padata
syn keyword naslFunction der_encode_paenc
syn keyword naslFunction der_encode_request
syn keyword naslFunction der_encode_sequence
syn keyword naslFunction der_encode_string
syn keyword naslFunction der_encode_tgsreq
syn keyword naslFunction der_encode_time
syn keyword naslFunction der_length
syn keyword naslFunction der_parse_data
syn keyword naslFunction der_parse_int
syn keyword naslFunction der_parse_list
syn keyword naslFunction der_parse_list_oid
syn keyword naslFunction der_parse_octet_string
syn keyword naslFunction der_parse_oid
syn keyword naslFunction der_parse_sequence
syn keyword naslFunction der_parse_spnego_init
syn keyword naslFunction der_parse_spnego_resp
syn keyword naslFunction derive_keys
syn keyword naslFunction des_cbc_checksum
syn keyword naslFunction des_cbc_decrypt2
syn keyword naslFunction des_cbc_encrypt
syn keyword naslFunction des_cbc_encrypt2
syn keyword naslFunction des_cbc_md5_checksum
syn keyword naslFunction des_cbc_md5_decrypt
syn keyword naslFunction des_cbc_md5_encrypt
syn keyword naslFunction des_cbc_string_to_key
syn keyword naslFunction des_encrypt
syn keyword naslFunction dh_gen_key
syn keyword naslFunction dh_valid_key
syn keyword naslFunction difftime
syn keyword naslFunction disable_cookiejar
syn keyword naslFunction disable_cookiejar_autosave
syn keyword naslFunction disable_socket_ka
syn keyword naslFunction dns_comp_get
syn keyword naslFunction dns_split
syn keyword naslFunction dns_str_get
syn keyword naslFunction dns_str_to_query_txt
syn keyword naslFunction do_check_win_dir_trav
syn keyword naslFunction dos_status
syn keyword naslFunction dump
syn keyword naslFunction dump_certificate
syn keyword naslFunction dump_cookiejar
syn keyword naslFunction dump_line_and_data
syn keyword naslFunction ebcdic2ascii
syn keyword naslFunction enable_cookiejar
syn keyword naslFunction enable_cookiejar_autosave
syn keyword naslFunction enable_keepalive
syn keyword naslFunction encode_char
syn keyword naslFunction encode_int
syn keyword naslFunction encode_uuid
syn keyword naslFunction erase_cookie
syn keyword naslFunction erase_http_cookie
syn keyword naslFunction err_print
syn keyword naslFunction esx_check
syn keyword naslFunction extract_pattern_from_resp
syn keyword naslFunction extract_structures
syn keyword naslFunction extract_version
syn keyword naslFunction filter_rh_inconstency
syn keyword naslFunction find_pattern
syn keyword naslFunction find_reason
syn keyword naslFunction fingerprint_cert
syn keyword naslFunction fingerprint_string
syn keyword naslFunction fixparity
syn keyword naslFunction freebsd_packages
syn keyword naslFunction ftp_authenticate
syn keyword naslFunction ftp_close
syn keyword naslFunction ftp_pasv
syn keyword naslFunction ftp_recv_data
syn keyword naslFunction ftp_recv_line
syn keyword naslFunction ftp_recv_listing
syn keyword naslFunction ftp_send_cmd
syn keyword naslFunction ftp_starttls
syn keyword naslFunction generic_str_cmp
syn keyword naslFunction get_3digits_svc
syn keyword naslFunction get_any_http_cookie
syn keyword naslFunction get_backport_banner
syn keyword naslFunction get_bignum1
syn keyword naslFunction get_byte
syn keyword naslFunction get_checksum_type
syn keyword naslFunction get_data_size
syn keyword naslFunction get_dirs_from_kb
syn keyword naslFunction get_dword
syn keyword naslFunction get_ftp_banner
syn keyword naslFunction get_ftp_port
syn keyword naslFunction get_header_command_code
syn keyword naslFunction get_header_dos_error_code
syn keyword naslFunction get_header_flags
syn keyword naslFunction get_header_flags2
syn keyword naslFunction get_header_nt_error_code
syn keyword naslFunction get_header_signature
syn keyword naslFunction get_header_tid
syn keyword naslFunction get_header_uid
syn keyword naslFunction get_http_banner
syn keyword naslFunction get_http_cookie
syn keyword naslFunction get_http_cookie_from_key
syn keyword naslFunction get_http_cookie_keys
syn keyword naslFunction get_http_cookies_names
syn keyword naslFunction get_http_page
syn keyword naslFunction get_http_port
syn keyword naslFunction get_imap_banner
syn keyword naslFunction get_install_from_kb
syn keyword naslFunction get_install_report
syn keyword naslFunction get_kb_item_or_exit
syn keyword naslFunction get_mysql_version
syn keyword naslFunction get_oracle_os
syn keyword naslFunction get_oracle_version
syn keyword naslFunction get_parity
syn keyword naslFunction get_php_version
syn keyword naslFunction get_pop3_banner
syn keyword naslFunction get_port_for_service
syn keyword naslFunction get_query_txt
syn keyword naslFunction get_qword
syn keyword naslFunction get_read_timeout
syn keyword naslFunction get_registered_option
syn keyword naslFunction get_rpc_port
syn keyword naslFunction get_rpc_port2
syn keyword naslFunction get_server_cert
syn keyword naslFunction get_server_public_key
syn keyword naslFunction get_service
syn keyword naslFunction get_service_banner_line
syn keyword naslFunction get_sid
syn keyword naslFunction get_smb_data
syn keyword naslFunction get_smb_header
syn keyword naslFunction get_smb_parameters
syn keyword naslFunction get_smtp_banner
syn keyword naslFunction get_squid_banner
syn keyword naslFunction get_ssh_banner
syn keyword naslFunction get_ssh_error
syn keyword naslFunction get_ssh_server_version
syn keyword naslFunction get_ssh_supported_authentication
syn keyword naslFunction get_string
syn keyword naslFunction get_string2
syn keyword naslFunction get_telnet_banner
syn keyword naslFunction get_tested_ports
syn keyword naslFunction get_unknown_banner
syn keyword naslFunction get_unknown_banner2
syn keyword naslFunction get_unknown_svc
syn keyword naslFunction get_ver_type
syn keyword naslFunction get_vuln_report
syn keyword naslFunction get_win32_find_data_fileattributes
syn keyword naslFunction get_win32_find_data_filename
syn keyword naslFunction get_word
syn keyword naslFunction getbyte
syn keyword naslFunction getdword
syn keyword naslFunction getqword_shift
syn keyword naslFunction getstring
syn keyword naslFunction getword
syn keyword naslFunction giop_marshal_message
syn keyword naslFunction giop_marshal_request
syn keyword naslFunction giop_unmarshal_message
syn keyword naslFunction giop_unmarshal_reply
syn keyword naslFunction gssapi_ssh_get_mic
syn keyword naslFunction headers_split
syn keyword naslFunction heuristic_sig
syn keyword naslFunction hex2dec
syn keyword naslFunction hex2raw
syn keyword naslFunction hex2raw2
syn keyword naslFunction hex_buf
syn keyword naslFunction hexdump
syn keyword naslFunction hexnumber
syn keyword naslFunction hotfix_add_report
syn keyword naslFunction hotfix_check_dhcpserver_installed
syn keyword naslFunction hotfix_check_domain_controler
syn keyword naslFunction hotfix_check_excel_version
syn keyword naslFunction hotfix_check_exchange_installed
syn keyword naslFunction hotfix_check_fversion
syn keyword naslFunction hotfix_check_fversion_end
syn keyword naslFunction hotfix_check_fversion_init
syn keyword naslFunction hotfix_check_ie_version
syn keyword naslFunction hotfix_check_iis_installed
syn keyword naslFunction hotfix_check_nt_server
syn keyword naslFunction hotfix_check_office_version
syn keyword naslFunction hotfix_check_outlook_version
syn keyword naslFunction hotfix_check_powerpoint_version
syn keyword naslFunction hotfix_check_publisher_version
syn keyword naslFunction hotfix_check_server_core
syn keyword naslFunction hotfix_check_sp
syn keyword naslFunction hotfix_check_wins_installed
syn keyword naslFunction hotfix_check_word_version
syn keyword naslFunction hotfix_check_works_installed
syn keyword naslFunction hotfix_data_access_version
syn keyword naslFunction hotfix_get_commonfilesdir
syn keyword naslFunction hotfix_get_mssqldir
syn keyword naslFunction hotfix_get_officecommonfilesdir
syn keyword naslFunction hotfix_get_officeprogramfilesdir
syn keyword naslFunction hotfix_get_programfilesdir
syn keyword naslFunction hotfix_get_programfilesdirx86
syn keyword naslFunction hotfix_get_report
syn keyword naslFunction hotfix_get_systemroot
syn keyword naslFunction hotfix_ie_gt
syn keyword naslFunction hotfix_is_vulnerable
syn keyword naslFunction hotfix_missing
syn keyword naslFunction hotfix_path2share
syn keyword naslFunction hotfix_security_hole
syn keyword naslFunction hotfix_security_note
syn keyword naslFunction hotfix_security_warning
syn keyword naslFunction hpux_check_ctx
syn keyword naslFunction hpux_check_patch
syn keyword naslFunction hpux_installed
syn keyword naslFunction hpux_patch_installed
syn keyword naslFunction htonl
syn keyword naslFunction htons
syn keyword naslFunction http_40x
syn keyword naslFunction http_add_auth_to_req
syn keyword naslFunction http_check_authentication
syn keyword naslFunction http_check_remote_code
syn keyword naslFunction http_close_socket_ka
syn keyword naslFunction http_cookies_style
syn keyword naslFunction http_disable_keep_alive
syn keyword naslFunction http_enable_keep_alive
syn keyword naslFunction http_force_keep_alive
syn keyword naslFunction http_form_login
syn keyword naslFunction http_get_cache
syn keyword naslFunction http_head_part
syn keyword naslFunction http_is_broken
syn keyword naslFunction http_is_dead
syn keyword naslFunction http_keepalive_check_connection
syn keyword naslFunction http_keepalive_enabled
syn keyword naslFunction http_keepalive_recv_body
syn keyword naslFunction http_keepalive_send_recv
syn keyword naslFunction http_last_sent_request
syn keyword naslFunction http_login_incr_count
syn keyword naslFunction http_login_release_lock
syn keyword naslFunction http_login_take_lock
syn keyword naslFunction http_mk_buffer_from_req
syn keyword naslFunction http_mk_delete_req
syn keyword naslFunction http_mk_get_req
syn keyword naslFunction http_mk_head_req
syn keyword naslFunction http_mk_post_req
syn keyword naslFunction http_mk_proxy_request
syn keyword naslFunction http_mk_put_req
syn keyword naslFunction http_mk_req
syn keyword naslFunction http_mk_trace_req
syn keyword naslFunction http_open_socket_ka
syn keyword naslFunction http_reauthenticate_if_needed
syn keyword naslFunction http_recv
syn keyword naslFunction http_recv3
syn keyword naslFunction http_recv_body
syn keyword naslFunction http_recv_headers2
syn keyword naslFunction http_recv_headers3
syn keyword naslFunction http_recv_length
syn keyword naslFunction http_reopen_socket
syn keyword naslFunction http_send_recv
syn keyword naslFunction http_send_recv3
syn keyword naslFunction http_send_recv_buf
syn keyword naslFunction http_send_recv_req
syn keyword naslFunction http_set_read_timeout
syn keyword naslFunction http_store_dialog
syn keyword naslFunction http_uri_is_subpath
syn keyword naslFunction icmp
syn keyword naslFunction icmp_checksum
syn keyword naslFunction icmp_get
syn keyword naslFunction icmp_set
syn keyword naslFunction iiop_unmarshal_profile
syn keyword naslFunction imap_close
syn keyword naslFunction imap_get_tag
syn keyword naslFunction imap_increment_tag
syn keyword naslFunction imap_is_response_ok
syn keyword naslFunction imap_read_tagged_response
syn keyword naslFunction imap_send_cmd
syn keyword naslFunction imap_set_tag
syn keyword naslFunction imap_starttls
syn keyword naslFunction index_by_name
syn keyword naslFunction inet_sum
syn keyword naslFunction info_send_cmd
syn keyword naslFunction init
syn keyword naslFunction init_cookiejar
syn keyword naslFunction init_crypto_data
syn keyword naslFunction init_esx_check
syn keyword naslFunction init_snmp
syn keyword naslFunction init_torture_cgi
syn keyword naslFunction insert_icmp
syn keyword naslFunction int2
syn keyword naslFunction integer
syn keyword naslFunction inv8
syn keyword naslFunction inverse
syn keyword naslFunction ior_destringify
syn keyword naslFunction ior_unmarshal
syn keyword naslFunction ip
syn keyword naslFunction ip6
syn keyword naslFunction ip6_get
syn keyword naslFunction ip6_set
syn keyword naslFunction ip_checksum
syn keyword naslFunction ip_csum
syn keyword naslFunction ip_dot2raw
syn keyword naslFunction ip_finish_insert_option
syn keyword naslFunction ip_get
syn keyword naslFunction ip_insert_option
syn keyword naslFunction ip_option
syn keyword naslFunction ip_raw2dot
syn keyword naslFunction ip_set
syn keyword naslFunction ipaddr
syn keyword naslFunction isUnicode
syn keyword naslFunction is_accessible_share
syn keyword naslFunction is_cgi_installed3
syn keyword naslFunction is_cgi_installed_ka
syn keyword naslFunction is_embedded_server
syn keyword naslFunction is_known_extension
syn keyword naslFunction is_password_prompt
syn keyword naslFunction is_private_addr
syn keyword naslFunction is_registered_option
syn keyword naslFunction is_same_host
syn keyword naslFunction is_sshd_bugged
syn keyword naslFunction is_valid_snmp_product
syn keyword naslFunction is_weak_key
syn keyword naslFunction isprint
syn keyword naslFunction issameoid
syn keyword naslFunction join
syn keyword naslFunction kb_smb_domain
syn keyword naslFunction kb_smb_login
syn keyword naslFunction kb_smb_name
syn keyword naslFunction kb_smb_password
syn keyword naslFunction kb_smb_transport
syn keyword naslFunction kb_ssh_client_ver
syn keyword naslFunction kb_ssh_host
syn keyword naslFunction kb_ssh_login
syn keyword naslFunction kb_ssh_passphrase
syn keyword naslFunction kb_ssh_password
syn keyword naslFunction kb_ssh_privatekey
syn keyword naslFunction kb_ssh_publickey
syn keyword naslFunction kb_ssh_realm
syn keyword naslFunction kb_ssh_transport
syn keyword naslFunction kerberos_checksum
syn keyword naslFunction kerberos_decrypt
syn keyword naslFunction kerberos_encrypt
syn keyword naslFunction kerberos_securityblob
syn keyword naslFunction kerberos_ssh
syn keyword naslFunction kerberostime
syn keyword naslFunction kex_packet
syn keyword naslFunction known_service
syn keyword naslFunction ldap_bind_request
syn keyword naslFunction ldap_extended_request
syn keyword naslFunction ldap_get_last_error
syn keyword naslFunction ldap_init
syn keyword naslFunction ldap_modify_request
syn keyword naslFunction ldap_parse_bind_response
syn keyword naslFunction ldap_parse_enumerated
syn keyword naslFunction ldap_parse_extended_response
syn keyword naslFunction ldap_parse_modify_response
syn keyword naslFunction ldap_parse_response
syn keyword naslFunction ldap_parse_search_entry
syn keyword naslFunction ldap_parse_search_object_name
syn keyword naslFunction ldap_recv
syn keyword naslFunction ldap_recv_next
syn keyword naslFunction ldap_request
syn keyword naslFunction ldap_request_sendrecv
syn keyword naslFunction ldap_search_request
syn keyword naslFunction ldap_set_error
syn keyword naslFunction ldap_starttls
syn keyword naslFunction len_bn
syn keyword naslFunction len_long
syn keyword naslFunction line2string
syn keyword naslFunction list
syn keyword naslFunction list_uniq
syn keyword naslFunction load_cookiejar
syn keyword naslFunction load_tgs_session
syn keyword naslFunction lshift
syn keyword naslFunction mac_compute
syn keyword naslFunction maj_cmp
syn keyword naslFunction maj_vers_cmp
syn keyword naslFunction make_service_list
syn keyword naslFunction merge
syn keyword naslFunction mkLEword
syn keyword naslFunction mk_cookie_header
syn keyword naslFunction mk_list_silent
syn keyword naslFunction mk_query
syn keyword naslFunction mk_query_txt
syn keyword naslFunction mkbedword
syn keyword naslFunction mkbyte
syn keyword naslFunction mkdate
syn keyword naslFunction mkdns
syn keyword naslFunction mkdword
syn keyword naslFunction mkicmp
syn keyword naslFunction mkip
syn keyword naslFunction mkip6
syn keyword naslFunction mkipaddr
syn keyword naslFunction mklist
syn keyword naslFunction mkpacket
syn keyword naslFunction mkpad
syn keyword naslFunction mktcp
syn keyword naslFunction mkudp
syn keyword naslFunction mkword
syn keyword naslFunction ms_since_midnight
syn keyword naslFunction my_encode
syn keyword naslFunction mysql_close
syn keyword naslFunction mysql_get_caps
syn keyword naslFunction mysql_get_lang
syn keyword naslFunction mysql_get_last_error
syn keyword naslFunction mysql_get_null_string
syn keyword naslFunction mysql_get_protocol
syn keyword naslFunction mysql_get_salt
syn keyword naslFunction mysql_get_scramble
syn keyword naslFunction mysql_get_scramble323
syn keyword naslFunction mysql_get_socket
syn keyword naslFunction mysql_get_status
syn keyword naslFunction mysql_get_thread_id
syn keyword naslFunction mysql_get_variant
syn keyword naslFunction mysql_get_version
syn keyword naslFunction mysql_hash_password
syn keyword naslFunction mysql_init
syn keyword naslFunction mysql_is_error_packet
syn keyword naslFunction mysql_is_ok_packet
syn keyword naslFunction mysql_is_proto41_supported
syn keyword naslFunction mysql_login
syn keyword naslFunction mysql_open
syn keyword naslFunction mysql_parse_error_packet
syn keyword naslFunction mysql_recv_packet
syn keyword naslFunction mysql_send_packet
syn keyword naslFunction netbios_encode
syn keyword naslFunction netbios_header
syn keyword naslFunction netbios_name
syn keyword naslFunction netbios_packet
syn keyword naslFunction netbios_sendrecv
syn keyword naslFunction netbios_session_request
syn keyword naslFunction netop_banner_items
syn keyword naslFunction netop_check_and_add_banner
syn keyword naslFunction netop_each_found
syn keyword naslFunction netop_kb_derive
syn keyword naslFunction netop_log_detected
syn keyword naslFunction netop_product_ident
syn keyword naslFunction netop_spacepad
syn keyword naslFunction netop_zeropad
syn keyword naslFunction nfs_cwd
syn keyword naslFunction nfs_mount
syn keyword naslFunction nfs_readdir
syn keyword naslFunction nfs_umount
syn keyword naslFunction nntp_article
syn keyword naslFunction nntp_auth
syn keyword naslFunction nntp_connect
syn keyword naslFunction nntp_make_id
syn keyword naslFunction nntp_post
syn keyword naslFunction nondigit_vers_cmp
syn keyword naslFunction normalize_url_path
syn keyword naslFunction normalize_value
syn keyword naslFunction nt_status
syn keyword naslFunction ntlmssp_auth_securityblob
syn keyword naslFunction ntlmssp_data
syn keyword naslFunction ntlmssp_negotiate_securityblob
syn keyword naslFunction ntlmssp_parse_challenge
syn keyword naslFunction ntlmssp_parse_response
syn keyword naslFunction ntohl
syn keyword naslFunction ntohs
syn keyword naslFunction ntol
syn keyword naslFunction ntos
syn keyword naslFunction null_length
syn keyword naslFunction on_exit
syn keyword naslFunction open
syn keyword naslFunction os_name_split
syn keyword naslFunction packet_payload
syn keyword naslFunction packet_split
syn keyword naslFunction packettype
syn keyword naslFunction padsz
syn keyword naslFunction parse_access_description
syn keyword naslFunction parse_addrlist
syn keyword naslFunction parse_algorithm_identifier
syn keyword naslFunction parse_attribute_type_and_value
syn keyword naslFunction parse_authority_information_access
syn keyword naslFunction parse_authority_key_identifier
syn keyword naslFunction parse_certificate_comment
syn keyword naslFunction parse_certificate_policies
syn keyword naslFunction parse_crl_distribution_points
syn keyword naslFunction parse_dacl
syn keyword naslFunction parse_der_cert
syn keyword naslFunction parse_distribution_point
syn keyword naslFunction parse_extended_key_usage
syn keyword naslFunction parse_extension
syn keyword naslFunction parse_extensions
syn keyword naslFunction parse_flags
syn keyword naslFunction parse_general_name
syn keyword naslFunction parse_general_names
syn keyword naslFunction parse_http_headers
syn keyword naslFunction parse_key_usage
syn keyword naslFunction parse_lsalookupsid
syn keyword naslFunction parse_pdacl
syn keyword naslFunction parse_pkg_name
syn keyword naslFunction parse_policy_information
syn keyword naslFunction parse_policy_qualifier_information
syn keyword naslFunction parse_private_key
syn keyword naslFunction parse_publickey_info
syn keyword naslFunction parse_rdn_sequence
syn keyword naslFunction parse_rpm_name
syn keyword naslFunction parse_security_descriptor
syn keyword naslFunction parse_setcookie_header
syn keyword naslFunction parse_subject_alternative_name
syn keyword naslFunction parse_subject_key_identifier
syn keyword naslFunction parse_tbs_certificate
syn keyword naslFunction parse_time
syn keyword naslFunction password_to_key
syn keyword naslFunction patch_installed
syn keyword naslFunction patch_release_number
syn keyword naslFunction payload
syn keyword naslFunction permute
syn keyword naslFunction php_ver_match
syn keyword naslFunction ping_host4
syn keyword naslFunction pkg_cmp
syn keyword naslFunction pkg_op
syn keyword naslFunction pkg_op_match
syn keyword naslFunction pkg_test
syn keyword naslFunction pop3_close
syn keyword naslFunction pop3_is_response_ok
syn keyword naslFunction pop3_read_response
syn keyword naslFunction pop3_send_cmd
syn keyword naslFunction pop3_starttls
syn keyword naslFunction pow2
syn keyword naslFunction pstring
syn keyword naslFunction putbignum
syn keyword naslFunction putbignum1
syn keyword naslFunction putstring
syn keyword naslFunction qpkg_check
syn keyword naslFunction qpkg_cmp
syn keyword naslFunction qpkg_ver_cmp
syn keyword naslFunction rand_str
syn keyword naslFunction raw_byte
syn keyword naslFunction raw_dword
syn keyword naslFunction raw_int16
syn keyword naslFunction raw_int32
syn keyword naslFunction raw_int8
syn keyword naslFunction raw_ntlmssp_auth_securityblob
syn keyword naslFunction raw_ntlmssp_negotiate
syn keyword naslFunction raw_ntlmssp_parse_challenge
syn keyword naslFunction raw_qword
syn keyword naslFunction raw_word
syn keyword naslFunction rc4_hmac_checksum
syn keyword naslFunction rc4_hmac_decrypt
syn keyword naslFunction rc4_hmac_encrypt
syn keyword naslFunction rc4_hmac_string_to_key
syn keyword naslFunction read
syn keyword naslFunction read_dword
syn keyword naslFunction read_version_in_kb
syn keyword naslFunction recv_ssh_packet
syn keyword naslFunction recv_ssl
syn keyword naslFunction recv_until
syn keyword naslFunction register_service
syn keyword naslFunction register_stream
syn keyword naslFunction registry_key_writeable_by_non_admin
syn keyword naslFunction reload_cookie_jars
syn keyword naslFunction remote_sig_match
syn keyword naslFunction removeMSBits
syn keyword naslFunction replace_http_cookies
syn keyword naslFunction replace_or_set_kb_item
syn keyword naslFunction replace_unprintable_char
syn keyword naslFunction report_service
syn keyword naslFunction report_tftp_backdoor
syn keyword naslFunction reset_snmp_version
syn keyword naslFunction reverse
syn keyword naslFunction reverse8
syn keyword naslFunction rlogin
syn keyword naslFunction rm_kb_item
syn keyword naslFunction rpc_accept_stat
syn keyword naslFunction rpc_getport
syn keyword naslFunction rpc_packet
syn keyword naslFunction rpc_reply_stat
syn keyword naslFunction rpc_sendrecv
syn keyword naslFunction rpclong
syn keyword naslFunction rpcpad
syn keyword naslFunction rpm_check
syn keyword naslFunction rpm_cmp
syn keyword naslFunction rpm_exists
syn keyword naslFunction rpm_report_add
syn keyword naslFunction rpm_report_get
syn keyword naslFunction run_injection_hdr
syn keyword naslFunction sanitize_utf16
syn keyword naslFunction save_tgs_session
syn keyword naslFunction save_version_in_kb
syn keyword naslFunction scan_snmp_string
syn keyword naslFunction script_cvs_date
syn keyword naslFunction script_cwe_id
syn keyword naslFunction script_end_attributes
syn keyword naslFunction script_osvdb_id
syn keyword naslFunction script_set_attribute
syn keyword naslFunction script_set_cvss_base_vector
syn keyword naslFunction script_set_cvss_temporal_vector
syn keyword naslFunction send_rexec
syn keyword naslFunction send_rsh
syn keyword naslFunction send_ssh_packet
syn keyword naslFunction service_is_unknown
syn keyword naslFunction session_add_flags
syn keyword naslFunction session_add_flags2
syn keyword naslFunction session_del_flags2
syn keyword naslFunction session_get_addrlist
syn keyword naslFunction session_get_buffersize
syn keyword naslFunction session_get_cid
syn keyword naslFunction session_get_errorcode
syn keyword naslFunction session_get_flags
syn keyword naslFunction session_get_flags2
syn keyword naslFunction session_get_hostname
syn keyword naslFunction session_get_mackey
syn keyword naslFunction session_get_messageid
syn keyword naslFunction session_get_mid
syn keyword naslFunction session_get_pid
syn keyword naslFunction session_get_secmode
syn keyword naslFunction session_get_sequencenumber
syn keyword naslFunction session_get_server_max_size
syn keyword naslFunction session_get_sid
syn keyword naslFunction session_get_socket
syn keyword naslFunction session_get_tid
syn keyword naslFunction session_get_timeout
syn keyword naslFunction session_get_uid
syn keyword naslFunction session_increase_sequencenumber
syn keyword naslFunction session_init
syn keyword naslFunction session_is_authenticated
syn keyword naslFunction session_is_guest
syn keyword naslFunction session_is_smb2
syn keyword naslFunction session_is_unicode
syn keyword naslFunction session_set_addrlist
syn keyword naslFunction session_set_authenticated
syn keyword naslFunction session_set_buffersize
syn keyword naslFunction session_set_errorcode
syn keyword naslFunction session_set_guest
syn keyword naslFunction session_set_host_info
syn keyword naslFunction session_set_hostname
syn keyword naslFunction session_set_mackey
syn keyword naslFunction session_set_mid
syn keyword naslFunction session_set_pid
syn keyword naslFunction session_set_secmode
syn keyword naslFunction session_set_server_max_size
syn keyword naslFunction session_set_sid
syn keyword naslFunction session_set_smb2
syn keyword naslFunction session_set_socket
syn keyword naslFunction session_set_tid
syn keyword naslFunction session_set_timeout
syn keyword naslFunction session_set_uid
syn keyword naslFunction session_set_unicode
syn keyword naslFunction session_smb2_support
syn keyword naslFunction set_byte_order
syn keyword naslFunction set_des_key
syn keyword naslFunction set_globals
syn keyword naslFunction set_http_cookie
syn keyword naslFunction set_http_cookie_from_hash
syn keyword naslFunction set_mysql_version
syn keyword naslFunction set_snmp_version
syn keyword naslFunction set_ssh_error
syn keyword naslFunction set_telnet_banner
syn keyword naslFunction set_unknown_banner
syn keyword naslFunction sha256
syn keyword naslFunction shrink_list
syn keyword naslFunction sid2string
syn keyword naslFunction sid_ldiv
syn keyword naslFunction sid_ltoa
syn keyword naslFunction silent_service
syn keyword naslFunction sinfp
syn keyword naslFunction sinfp_extract_options
syn keyword naslFunction sinfp_get_distance
syn keyword naslFunction sinfp_get_ip
syn keyword naslFunction sinfp_get_mss
syn keyword naslFunction sinfp_get_options
syn keyword naslFunction sinfp_get_tcp
syn keyword naslFunction sinfp_get_tcp_flags
syn keyword naslFunction sinfp_get_tcp_win
syn keyword naslFunction sinfp_heuristic_match
syn keyword naslFunction sinfp_match
syn keyword naslFunction sinfp_mkbinary
syn keyword naslFunction slack_elt_cmp
syn keyword naslFunction slack_ver_cmp
syn keyword naslFunction slackware_check
syn keyword naslFunction smb2_close
syn keyword naslFunction smb2_create
syn keyword naslFunction smb2_header
syn keyword naslFunction smb2_ioctl
syn keyword naslFunction smb2_login
syn keyword naslFunction smb2_logoff
syn keyword naslFunction smb2_negotiate
syn keyword naslFunction smb2_query_directory
syn keyword naslFunction smb2_query_info
syn keyword naslFunction smb2_read
syn keyword naslFunction smb2_recv
syn keyword naslFunction smb2_sendrecv
syn keyword naslFunction smb2_session_setup
syn keyword naslFunction smb2_tree_connect
syn keyword naslFunction smb2_tree_disconnect
syn keyword naslFunction smb2_write
syn keyword naslFunction smb_check_success
syn keyword naslFunction smb_close
syn keyword naslFunction smb_create_and_x
syn keyword naslFunction smb_data
syn keyword naslFunction smb_decode_header
syn keyword naslFunction smb_file_read
syn keyword naslFunction smb_header
syn keyword naslFunction smb_login
syn keyword naslFunction smb_logoff_andx
syn keyword naslFunction smb_negotiate_protocol
syn keyword naslFunction smb_nt_trans
syn keyword naslFunction smb_parameters
syn keyword naslFunction smb_read_and_x
syn keyword naslFunction smb_recv
syn keyword naslFunction smb_sendrecv
syn keyword naslFunction smb_session_setup_andx
syn keyword naslFunction smb_session_setup_andx_kerberos_core
syn keyword naslFunction smb_session_setup_andx_lanman_core
syn keyword naslFunction smb_session_setup_andx_ntlm_core
syn keyword naslFunction smb_session_setup_andx_ntlmssp_core
syn keyword naslFunction smb_trans2
syn keyword naslFunction smb_trans_and_x
syn keyword naslFunction smb_trans_lanman
syn keyword naslFunction smb_trans_pipe
syn keyword naslFunction smb_tree_connect_and_x
syn keyword naslFunction smb_tree_disconnect
syn keyword naslFunction smb_write_and_x
syn keyword naslFunction smtp_close
syn keyword naslFunction smtp_from_header
syn keyword naslFunction smtp_open
syn keyword naslFunction smtp_recv_banner
syn keyword naslFunction smtp_recv_line
syn keyword naslFunction smtp_send_port
syn keyword naslFunction smtp_send_socket
syn keyword naslFunction smtp_starttls
syn keyword naslFunction smtp_to_header
syn keyword naslFunction snmp_assemble_authentication_data
syn keyword naslFunction snmp_assemble_request_data
syn keyword naslFunction snmp_exchange
syn keyword naslFunction snmp_extract_reply
syn keyword naslFunction snmp_put_engine_data
syn keyword naslFunction snmp_reply
syn keyword naslFunction snmp_request
syn keyword naslFunction snmp_request_next
syn keyword naslFunction snmpv3_authenticate_incoming
syn keyword naslFunction snmpv3_authenticate_outgoing
syn keyword naslFunction snmpv3_decrypt_incoming
syn keyword naslFunction snmpv3_encrypt_outgoing
syn keyword naslFunction snmpv3_fail
syn keyword naslFunction snmpv3_initial_request
syn keyword naslFunction snmpv3_parse_authoritative
syn keyword naslFunction snmpv3_parse_header
syn keyword naslFunction snmpv3_put_msg_global_data
syn keyword naslFunction snmpv3_request
syn keyword naslFunction sol_vers_cmp
syn keyword naslFunction solaris_check_patch
syn keyword naslFunction solaris_details_add
syn keyword naslFunction solaris_get_report
syn keyword naslFunction solaris_report_set
syn keyword naslFunction split_long_line
syn keyword naslFunction split_tcp
syn keyword naslFunction split_udp
syn keyword naslFunction split_url
syn keyword naslFunction ssh1_recv
syn keyword naslFunction ssh1_send
syn keyword naslFunction ssh_close_channel
syn keyword naslFunction ssh_close_connection
syn keyword naslFunction ssh_cmd
syn keyword naslFunction ssh_cmd1
syn keyword naslFunction ssh_cmd_error
syn keyword naslFunction ssh_dss_verify
syn keyword naslFunction ssh_exchange_identification
syn keyword naslFunction ssh_hex2raw
syn keyword naslFunction ssh_kb_auth
syn keyword naslFunction ssh_kex1
syn keyword naslFunction ssh_kex2
syn keyword naslFunction ssh_login
syn keyword naslFunction ssh_open_channel
syn keyword naslFunction ssh_open_connection
syn keyword naslFunction ssh_password_auth
syn keyword naslFunction ssh_recv
syn keyword naslFunction ssh_rsa_verify
syn keyword naslFunction ssh_userauth1
syn keyword naslFunction ssh_userauth2
syn keyword naslFunction store_1_cookie
syn keyword naslFunction store_cookiejar
syn keyword naslFunction str2long
syn keyword naslFunction str_to_key
syn keyword naslFunction stream_error
syn keyword naslFunction string2sid
syn keyword naslFunction strridx
syn keyword naslFunction substr_at_offset
syn keyword naslFunction supported_encryption_type
syn keyword naslFunction tcp
syn keyword naslFunction tcp_checksum
syn keyword naslFunction tcp_finish_insert_option
syn keyword naslFunction tcp_flags
syn keyword naslFunction tcp_get
syn keyword naslFunction tcp_insert_option
syn keyword naslFunction tcp_set
syn keyword naslFunction telnet2_init
syn keyword naslFunction telnet_do_neg_about_size
syn keyword naslFunction telnet_do_term_type
syn keyword naslFunction telnet_dont
syn keyword naslFunction telnet_handle_suboption
syn keyword naslFunction telnet_loop
syn keyword naslFunction telnet_negotiate
syn keyword naslFunction telnet_open_cnx
syn keyword naslFunction telnet_read
syn keyword naslFunction telnet_send_cmd
syn keyword naslFunction telnet_send_suboption
syn keyword naslFunction telnet_will
syn keyword naslFunction telnet_wont
syn keyword naslFunction telnet_write
syn keyword naslFunction test
syn keyword naslFunction test1cgi
syn keyword naslFunction test1url
syn keyword naslFunction test_cgi_rec
syn keyword naslFunction test_cgi_xss
syn keyword naslFunction test_sinfp
syn keyword naslFunction test_udp_port
syn keyword naslFunction tftp_get
syn keyword naslFunction tftp_ms_backdoor
syn keyword naslFunction tftp_put
syn keyword naslFunction torture_cgi_build_report
syn keyword naslFunction torture_cgi_delay
syn keyword naslFunction torture_cgi_name
syn keyword naslFunction torture_cgi_remember
syn keyword naslFunction torture_cgis
syn keyword naslFunction torture_cgis_yesno
syn keyword naslFunction tripledes_decrypt
syn keyword naslFunction tripledes_encrypt
syn keyword naslFunction tripledes_initialize
syn keyword naslFunction ubuntu_check
syn keyword naslFunction ubuntu_ver_cmp
syn keyword naslFunction udp
syn keyword naslFunction udp_checksum
syn keyword naslFunction udp_get
syn keyword naslFunction udp_ping_pong
syn keyword naslFunction udp_set
syn keyword naslFunction unicode
syn keyword naslFunction unicode2ascii
syn keyword naslFunction unixtime_to_nttime64
syn keyword naslFunction update_window_size
syn keyword naslFunction upnp_find_service
syn keyword naslFunction upnp_make_soap_data
syn keyword naslFunction upnp_make_soap_req
syn keyword naslFunction upnp_svc_url
syn keyword naslFunction url_hex2raw
syn keyword naslFunction urldecode
syn keyword naslFunction urlencode
syn keyword naslFunction usm_AES_priv_decrypt
syn keyword naslFunction usm_AES_priv_protocol
syn keyword naslFunction usm_DES_priv_decrypt
syn keyword naslFunction usm_DES_priv_protocol
syn keyword naslFunction usm_HMAC_MD5_auth_protocol
syn keyword naslFunction usm_HMAC_SHA_auth_protocol
syn keyword naslFunction utf16_to_ascii
syn keyword naslFunction ver_compare
syn keyword naslFunction ver_num
syn keyword naslFunction verify_service
syn keyword naslFunction vers_cmp
syn keyword naslFunction voffset_to_offset
syn keyword naslFunction wont_test_cgi
syn keyword naslFunction write_dword
syn keyword naslFunction xdr_auth_unix
syn keyword naslFunction xdr_getdword
syn keyword naslFunction xdr_getstring
syn keyword naslFunction xdr_long
syn keyword naslFunction xdr_string
syn keyword naslFunction xor
syn keyword naslFunction xor8

" Constants extracted from .inc files
syn keyword naslConstant AuditCategoryAccountLogon
syn keyword naslConstant AuditCategoryAccountManagement
syn keyword naslConstant AuditCategoryDetailedTracking
syn keyword naslConstant AuditCategoryDirectoryServiceAccess
syn keyword naslConstant AuditCategoryObjectAccess
syn keyword naslConstant AuditCategoryPolicyChange
syn keyword naslConstant AuditCategoryPrivilegeUse
syn keyword naslConstant AuditCategorySystem
syn keyword naslConstant CAP_EXTENDED_SECURITY
syn keyword naslConstant CDR_BYTE_ORDER_LITTLE_ENDIAN
syn keyword naslConstant CLIENT_SECURE_CONNECTION
syn keyword naslConstant CMD_BREAK
syn keyword naslConstant CloseSession
syn keyword naslConstant Command
syn keyword naslConstant ENGINE_VERSION
syn keyword naslConstant EPT_NT_CANT_CREATE
syn keyword naslConstant EPT_NT_CANT_PERFORM_OP
syn keyword naslConstant EPT_NT_INVALID_ENTRY
syn keyword naslConstant EPT_NT_NOT_REGISTERED
syn keyword naslConstant FACILITY_ACPI_ERROR_CODE
syn keyword naslConstant FACILITY_CLUSTER_ERROR_CODE
syn keyword naslConstant FACILITY_DEBUGGER
syn keyword naslConstant FACILITY_FIREWIRE_ERROR_CODE
syn keyword naslConstant FACILITY_HID_ERROR_CODE
syn keyword naslConstant FACILITY_IO_ERROR_CODE
syn keyword naslConstant FACILITY_RPC_RUNTIME
syn keyword naslConstant FACILITY_RPC_STUBS
syn keyword naslConstant FACILITY_SXS_ERROR_CODE
syn keyword naslConstant FACILITY_TERMINAL_SERVER
syn keyword naslConstant FACILITY_USB_ERROR_CODE
syn keyword naslConstant FPCloseVol
syn keyword naslConstant FPEnumerateExt2
syn keyword naslConstant FPGetSrvrParms
syn keyword naslConstant FPLogin
syn keyword naslConstant FPLogout
syn keyword naslConstant FPOpenVol
syn keyword naslConstant FileIdBothDirectoryInformation
syn keyword naslConstant FileIdFullDirectoryInformation
syn keyword naslConstant GIOP_MSGTYPE_CLOSECONNECTION
syn keyword naslConstant GIOP_REPLYSTATUS_LOCATION_FORWARD_PERM
syn keyword naslConstant GIOP_REPLYSTATUS_NEEDS_ADDRESSING_MODE
syn keyword naslConstant GLOBAL_SETTINGS_INC
syn keyword naslConstant GROUP_SECURITY_INFORMATION
syn keyword naslConstant GetStatus
syn keyword naslConstant HCF_UNACCESSIBLE_SHARE
syn keyword naslConstant HEX_LOWERCASE
syn keyword naslConstant HEX_UPPERCASE
syn keyword naslConstant HTTP_COOKIES_RFC2109
syn keyword naslConstant HTTP_COOKIES_RFC2965
syn keyword naslConstant ICMP6TYPE_PING
syn keyword naslConstant ICMP6TYPE_PONG
syn keyword naslConstant ICMPTYPE_FRAG_REASS
syn keyword naslConstant ICMPTYPE_PING
syn keyword naslConstant ICMPTYPE_PONG
syn keyword naslConstant ICMPTYPE_TIME_EXCEEDED
syn keyword naslConstant ICMPTYPE_TTL_EXCEEDED
syn keyword naslConstant ICMPTYPE_UNREACHABLE
syn keyword naslConstant INFO_RLOGIN
syn keyword naslConstant INFO_TELNET
syn keyword naslConstant INJECTABLE_HTML
syn keyword naslConstant INJECTABLE_TEXT
syn keyword naslConstant KEY_ENUMERATE_SUB_KEYS
syn keyword naslConstant LDAP_EXTENDED_RESPONSE
syn keyword naslConstant LDAP_STRING_SEQUENCE_TAG
syn keyword naslConstant MSG_MAX_SIZE
syn keyword naslConstant NEGOTIATE_SECURITY_CHALLENGE_RESPONSE
syn keyword naslConstant NEGOTIATE_SECURITY_SIGNATURES_ENABLED
syn keyword naslConstant NEGOTIATE_SECURITY_SIGNATURES_REQUIRED
syn keyword naslConstant NPASS
syn keyword naslConstant NTLMSSP_CONNECT
syn keyword naslConstant NTLMSSP_NEGOTIATE_WORKSTATION_SUPPLIED
syn keyword naslConstant NTLMSSP_PACKET
syn keyword naslConstant OPNUM_LSAENUMERATEACCOUNTWITHUSERRIGHT
syn keyword naslConstant OPNUM_LSAQUERYDOMAININFO
syn keyword naslConstant OPNUM_QUERYSERVICESECURITY
syn keyword naslConstant OPNUM_SERVICEDISPLAYNAMEA
syn keyword naslConstant OPNUM_SERVICEDISPLAYNAMEW
syn keyword naslConstant OPT_NEG_ABOUT_SIZE
syn keyword naslConstant OP_GET_NEXT_REQUEST
syn keyword naslConstant OWNER_SECURITY_INFORMATION
syn keyword naslConstant OpenSession
syn keyword naslConstant POLICY_AUDIT_EVENT_UNCHANGED
syn keyword naslConstant PolicyAuditEventsInformation
syn keyword naslConstant PolicyDomainKerberosTicketInformation
syn keyword naslConstant RPCSEC_GSS
syn keyword naslConstant RPC_NT_ADDRESS_ERROR
syn keyword naslConstant RPC_NT_ALREADY_LISTENING
syn keyword naslConstant RPC_NT_ALREADY_REGISTERED
syn keyword naslConstant RPC_NT_BAD_STUB_DATA
syn keyword naslConstant RPC_NT_BINDING_HAS_NO_AUTH
syn keyword naslConstant RPC_NT_BINDING_INCOMPLETE
syn keyword naslConstant RPC_NT_BYTE_COUNT_TOO_SMALL
syn keyword naslConstant RPC_NT_CALL_CANCELLED
syn keyword naslConstant RPC_NT_CALL_FAILED
syn keyword naslConstant RPC_NT_CALL_FAILED_DNE
syn keyword naslConstant RPC_NT_CALL_IN_PROGRESS
syn keyword naslConstant RPC_NT_CANNOT_SUPPORT
syn keyword naslConstant RPC_NT_CANT_CREATE_ENDPOINT
syn keyword naslConstant RPC_NT_COMM_FAILURE
syn keyword naslConstant RPC_NT_DUPLICATE_ENDPOINT
syn keyword naslConstant RPC_NT_ENTRY_ALREADY_EXISTS
syn keyword naslConstant RPC_NT_ENTRY_NOT_FOUND
syn keyword naslConstant RPC_NT_ENUM_VALUE_OUT_OF_RANGE
syn keyword naslConstant RPC_NT_FP_DIV_ZERO
syn keyword naslConstant RPC_NT_FP_OVERFLOW
syn keyword naslConstant RPC_NT_FP_UNDERFLOW
syn keyword naslConstant RPC_NT_GROUP_MEMBER_NOT_FOUND
syn keyword naslConstant RPC_NT_INCOMPLETE_NAME
syn keyword naslConstant RPC_NT_INTERFACE_NOT_FOUND
syn keyword naslConstant RPC_NT_INTERNAL_ERROR
syn keyword naslConstant RPC_NT_INVALID_ASYNC_CALL
syn keyword naslConstant RPC_NT_INVALID_ASYNC_HANDLE
syn keyword naslConstant RPC_NT_INVALID_AUTH_IDENTITY
syn keyword naslConstant RPC_NT_INVALID_BINDING
syn keyword naslConstant RPC_NT_INVALID_BOUND
syn keyword naslConstant RPC_NT_INVALID_ENDPOINT_FORMAT
syn keyword naslConstant RPC_NT_INVALID_ES_ACTION
syn keyword naslConstant RPC_NT_INVALID_NAF_ID
syn keyword naslConstant RPC_NT_INVALID_NAME_SYNTAX
syn keyword naslConstant RPC_NT_INVALID_NETWORK_OPTIONS
syn keyword naslConstant RPC_NT_INVALID_NET_ADDR
syn keyword naslConstant RPC_NT_INVALID_OBJECT
syn keyword naslConstant RPC_NT_INVALID_PIPE_OBJECT
syn keyword naslConstant RPC_NT_INVALID_PIPE_OPERATION
syn keyword naslConstant RPC_NT_INVALID_RPC_PROTSEQ
syn keyword naslConstant RPC_NT_INVALID_STRING_BINDING
syn keyword naslConstant RPC_NT_INVALID_STRING_UUID
syn keyword naslConstant RPC_NT_INVALID_TAG
syn keyword naslConstant RPC_NT_INVALID_TIMEOUT
syn keyword naslConstant RPC_NT_INVALID_VERS_OPTION
syn keyword naslConstant RPC_NT_MAX_CALLS_TOO_SMALL
syn keyword naslConstant RPC_NT_NAME_SERVICE_UNAVAILABLE
syn keyword naslConstant RPC_NT_NOTHING_TO_EXPORT
syn keyword naslConstant RPC_NT_NOT_ALL_OBJS_UNEXPORTED
syn keyword naslConstant RPC_NT_NOT_CANCELLED
syn keyword naslConstant RPC_NT_NOT_LISTENING
syn keyword naslConstant RPC_NT_NOT_RPC_ERROR
syn keyword naslConstant RPC_NT_NO_BINDINGS
syn keyword naslConstant RPC_NT_NO_CALL_ACTIVE
syn keyword naslConstant RPC_NT_NO_CONTEXT_AVAILABLE
syn keyword naslConstant RPC_NT_NO_ENDPOINT_FOUND
syn keyword naslConstant RPC_NT_NO_ENTRY_NAME
syn keyword naslConstant RPC_NT_NO_INTERFACES
syn keyword naslConstant RPC_NT_NO_MORE_BINDINGS
syn keyword naslConstant RPC_NT_NO_MORE_ENTRIES
syn keyword naslConstant RPC_NT_NO_MORE_MEMBERS
syn keyword naslConstant RPC_NT_NO_PRINC_NAME
syn keyword naslConstant RPC_NT_NO_PROTSEQS
syn keyword naslConstant RPC_NT_NO_PROTSEQS_REGISTERED
syn keyword naslConstant RPC_NT_NULL_REF_POINTER
syn keyword naslConstant RPC_NT_OBJECT_NOT_FOUND
syn keyword naslConstant RPC_NT_OUT_OF_RESOURCES
syn keyword naslConstant RPC_NT_PIPE_CLOSED
syn keyword naslConstant RPC_NT_PIPE_DISCIPLINE_ERROR
syn keyword naslConstant RPC_NT_PIPE_EMPTY
syn keyword naslConstant RPC_NT_PROCNUM_OUT_OF_RANGE
syn keyword naslConstant RPC_NT_PROTOCOL_ERROR
syn keyword naslConstant RPC_NT_PROTSEQ_NOT_FOUND
syn keyword naslConstant RPC_NT_PROTSEQ_NOT_SUPPORTED
syn keyword naslConstant RPC_NT_SEC_PKG_ERROR
syn keyword naslConstant RPC_NT_SEND_INCOMPLETE
syn keyword naslConstant RPC_NT_SERVER_TOO_BUSY
syn keyword naslConstant RPC_NT_SERVER_UNAVAILABLE
syn keyword naslConstant RPC_NT_SS_CANNOT_GET_CALL_HANDLE
syn keyword naslConstant RPC_NT_SS_CHAR_TRANS_OPEN_FAIL
syn keyword naslConstant RPC_NT_SS_CHAR_TRANS_SHORT_FILE
syn keyword naslConstant RPC_NT_SS_CONTEXT_DAMAGED
syn keyword naslConstant RPC_NT_SS_CONTEXT_MISMATCH
syn keyword naslConstant RPC_NT_SS_HANDLES_MISMATCH
syn keyword naslConstant RPC_NT_SS_IN_NULL_CONTEXT
syn keyword naslConstant RPC_NT_STRING_TOO_LONG
syn keyword naslConstant RPC_NT_TYPE_ALREADY_REGISTERED
syn keyword naslConstant RPC_NT_UNKNOWN_AUTHN_LEVEL
syn keyword naslConstant RPC_NT_UNKNOWN_AUTHN_SERVICE
syn keyword naslConstant RPC_NT_UNKNOWN_AUTHN_TYPE
syn keyword naslConstant RPC_NT_UNKNOWN_AUTHZ_SERVICE
syn keyword naslConstant RPC_NT_UNKNOWN_IF
syn keyword naslConstant RPC_NT_UNKNOWN_MGR_TYPE
syn keyword naslConstant RPC_NT_UNSUPPORTED_AUTHN_LEVEL
syn keyword naslConstant RPC_NT_UNSUPPORTED_NAME_SYNTAX
syn keyword naslConstant RPC_NT_UNSUPPORTED_TRANS_SYN
syn keyword naslConstant RPC_NT_UNSUPPORTED_TYPE
syn keyword naslConstant RPC_NT_UUID_LOCAL_ONLY
syn keyword naslConstant RPC_NT_UUID_NO_ADDRESS
syn keyword naslConstant RPC_NT_WRONG_ES_VERSION
syn keyword naslConstant RPC_NT_WRONG_KIND_OF_BINDING
syn keyword naslConstant RPC_NT_WRONG_PIPE_VERSION
syn keyword naslConstant RPC_NT_WRONG_STUB_VERSION
syn keyword naslConstant RPC_NT_ZERO_DIVIDE
syn keyword naslConstant RawSendViaOperatingSystem
syn keyword naslConstant Request
syn keyword naslConstant SERVER_STATUS_NO_BACKSLASH_ESCAPES
syn keyword naslConstant SERVICE_CONTROL_NETBINDDISABLE
syn keyword naslConstant SERVICE_DEMAND_START
syn keyword naslConstant SERVICE_ERROR_CRITICAL
syn keyword naslConstant SERVICE_INTERACTIVE_PROCESS
syn keyword naslConstant SERVICE_SYSTEM_START
syn keyword naslConstant SERVICE_WIN32_SHARE_PROCESS
syn keyword naslConstant SMB2_RETURN_SINGLE_ENTRY
syn keyword naslConstant SMB_HDR_SIZE
syn keyword naslConstant SSH_CIPHER_3DES
syn keyword naslConstant SSH_CIPHER_BLOWFISH
syn keyword naslConstant STATUS_ABANDONED
syn keyword naslConstant STATUS_ABANDONED_WAIT_0
syn keyword naslConstant STATUS_ABANDONED_WAIT_63
syn keyword naslConstant STATUS_ABIOS_INVALID_COMMAND
syn keyword naslConstant STATUS_ABIOS_INVALID_LID
syn keyword naslConstant STATUS_ABIOS_INVALID_SELECTOR
syn keyword naslConstant STATUS_ABIOS_LID_ALREADY_OWNED
syn keyword naslConstant STATUS_ABIOS_LID_NOT_EXIST
syn keyword naslConstant STATUS_ABIOS_NOT_LID_OWNER
syn keyword naslConstant STATUS_ABIOS_NOT_PRESENT
syn keyword naslConstant STATUS_ABIOS_SELECTOR_NOT_AVAILABLE
syn keyword naslConstant STATUS_ACCESS_DENIED
syn keyword naslConstant STATUS_ACCESS_DISABLED_BY_POLICY_DEFAULT
syn keyword naslConstant STATUS_ACCESS_DISABLED_BY_POLICY_OTHER
syn keyword naslConstant STATUS_ACCESS_DISABLED_BY_POLICY_PATH
syn keyword naslConstant STATUS_ACCESS_DISABLED_BY_POLICY_PUBLISHER
syn keyword naslConstant STATUS_ACCESS_VIOLATION
syn keyword naslConstant STATUS_ACCOUNT_DISABLED
syn keyword naslConstant STATUS_ACCOUNT_EXPIRED
syn keyword naslConstant STATUS_ACCOUNT_LOCKED_OUT
syn keyword naslConstant STATUS_ACCOUNT_RESTRICTION
syn keyword naslConstant STATUS_ACPI_ACQUIRE_GLOBAL_LOCK
syn keyword naslConstant STATUS_ACPI_ADDRESS_NOT_MAPPED
syn keyword naslConstant STATUS_ACPI_ALREADY_INITIALIZED
syn keyword naslConstant STATUS_ACPI_ASSERT_FAILED
syn keyword naslConstant STATUS_ACPI_FATAL
syn keyword naslConstant STATUS_ACPI_HANDLER_COLLISION
syn keyword naslConstant STATUS_ACPI_INCORRECT_ARGUMENT_COUNT
syn keyword naslConstant STATUS_ACPI_INVALID_ACCESS_SIZE
syn keyword naslConstant STATUS_ACPI_INVALID_ARGTYPE
syn keyword naslConstant STATUS_ACPI_INVALID_ARGUMENT
syn keyword naslConstant STATUS_ACPI_INVALID_DATA
syn keyword naslConstant STATUS_ACPI_INVALID_EVENTTYPE
syn keyword naslConstant STATUS_ACPI_INVALID_INDEX
syn keyword naslConstant STATUS_ACPI_INVALID_MUTEX_LEVEL
syn keyword naslConstant STATUS_ACPI_INVALID_OBJTYPE
syn keyword naslConstant STATUS_ACPI_INVALID_OPCODE
syn keyword naslConstant STATUS_ACPI_INVALID_REGION
syn keyword naslConstant STATUS_ACPI_INVALID_SUPERNAME
syn keyword naslConstant STATUS_ACPI_INVALID_TABLE
syn keyword naslConstant STATUS_ACPI_INVALID_TARGETTYPE
syn keyword naslConstant STATUS_ACPI_MUTEX_NOT_OWNED
syn keyword naslConstant STATUS_ACPI_MUTEX_NOT_OWNER
syn keyword naslConstant STATUS_ACPI_NOT_INITIALIZED
syn keyword naslConstant STATUS_ACPI_POWER_REQUEST_FAILED
syn keyword naslConstant STATUS_ACPI_REG_HANDLER_FAILED
syn keyword naslConstant STATUS_ACPI_RS_ACCESS
syn keyword naslConstant STATUS_ACPI_STACK_OVERFLOW
syn keyword naslConstant STATUS_ADAPTER_HARDWARE_ERROR
syn keyword naslConstant STATUS_ADDRESS_ALREADY_ASSOCIATED
syn keyword naslConstant STATUS_ADDRESS_ALREADY_EXISTS
syn keyword naslConstant STATUS_ADDRESS_CLOSED
syn keyword naslConstant STATUS_ADDRESS_NOT_ASSOCIATED
syn keyword naslConstant STATUS_AGENTS_EXHAUSTED
syn keyword naslConstant STATUS_ALERTED
syn keyword naslConstant STATUS_ALIAS_EXISTS
syn keyword naslConstant STATUS_ALLOCATE_BUCKET
syn keyword naslConstant STATUS_ALLOTTED_SPACE_EXCEEDED
syn keyword naslConstant STATUS_ALL_SIDS_FILTERED
syn keyword naslConstant STATUS_ALREADY_COMMITTED
syn keyword naslConstant STATUS_ALREADY_DISCONNECTED
syn keyword naslConstant STATUS_ALREADY_WIN32
syn keyword naslConstant STATUS_APPHELP_BLOCK
syn keyword naslConstant STATUS_APP_INIT_FAILURE
syn keyword naslConstant STATUS_ARBITRATION_UNHANDLED
syn keyword naslConstant STATUS_ARRAY_BOUNDS_EXCEEDED
syn keyword naslConstant STATUS_AUDITING_DISABLED
syn keyword naslConstant STATUS_AUDIT_FAILED
syn keyword naslConstant STATUS_BACKUP_CONTROLLER
syn keyword naslConstant STATUS_BAD_BINDINGS
syn keyword naslConstant STATUS_BAD_COMPRESSION_BUFFER
syn keyword naslConstant STATUS_BAD_CURRENT_DIRECTORY
syn keyword naslConstant STATUS_BAD_DESCRIPTOR_FORMAT
syn keyword naslConstant STATUS_BAD_DEVICE_TYPE
syn keyword naslConstant STATUS_BAD_DLL_ENTRYPOINT
syn keyword naslConstant STATUS_BAD_FUNCTION_TABLE
syn keyword naslConstant STATUS_BAD_IMPERSONATION_LEVEL
syn keyword naslConstant STATUS_BAD_INHERITANCE_ACL
syn keyword naslConstant STATUS_BAD_INITIAL_PC
syn keyword naslConstant STATUS_BAD_INITIAL_STACK
syn keyword naslConstant STATUS_BAD_LOGON_SESSION_STATE
syn keyword naslConstant STATUS_BAD_MASTER_BOOT_RECORD
syn keyword naslConstant STATUS_BAD_NETWORK_NAME
syn keyword naslConstant STATUS_BAD_NETWORK_PATH
syn keyword naslConstant STATUS_BAD_REMOTE_ADAPTER
syn keyword naslConstant STATUS_BAD_SERVICE_ENTRYPOINT
syn keyword naslConstant STATUS_BAD_STACK
syn keyword naslConstant STATUS_BAD_TOKEN_TYPE
syn keyword naslConstant STATUS_BAD_VALIDATION_CLASS
syn keyword naslConstant STATUS_BAD_WORKING_SET_LIMIT
syn keyword naslConstant STATUS_BEGINNING_OF_MEDIA
syn keyword naslConstant STATUS_BIOS_FAILED_TO_CONNECT_INTERRUPT
syn keyword naslConstant STATUS_BREAKPOINT
syn keyword naslConstant STATUS_BUFFER_ALL_ZEROS
syn keyword naslConstant STATUS_BUFFER_OVERFLOW
syn keyword naslConstant STATUS_BUFFER_TOO_SMALL
syn keyword naslConstant STATUS_BUS_RESET
syn keyword naslConstant STATUS_CACHE_PAGE_LOCKED
syn keyword naslConstant STATUS_CANCELLED
syn keyword naslConstant STATUS_CANNOT_DELETE
syn keyword naslConstant STATUS_CANNOT_IMPERSONATE
syn keyword naslConstant STATUS_CANNOT_LOAD_REGISTRY_FILE
syn keyword naslConstant STATUS_CANNOT_MAKE
syn keyword naslConstant STATUS_CANT_ACCESS_DOMAIN_INFO
syn keyword naslConstant STATUS_CANT_DISABLE_MANDATORY
syn keyword naslConstant STATUS_CANT_ENABLE_DENY_ONLY
syn keyword naslConstant STATUS_CANT_OPEN_ANONYMOUS
syn keyword naslConstant STATUS_CANT_TERMINATE_SELF
syn keyword naslConstant STATUS_CANT_WAIT
syn keyword naslConstant STATUS_CARDBUS_NOT_SUPPORTED
syn keyword naslConstant STATUS_CHECKING_FILE_SYSTEM
syn keyword naslConstant STATUS_CHILD_MUST_BE_VOLATILE
syn keyword naslConstant STATUS_CLEANER_CARTRIDGE_INSTALLED
syn keyword naslConstant STATUS_CLIENT_SERVER_PARAMETERS_INVALID
syn keyword naslConstant STATUS_CLUSTER_INVALID_NETWORK
syn keyword naslConstant STATUS_CLUSTER_INVALID_NETWORK_PROVIDER
syn keyword naslConstant STATUS_CLUSTER_INVALID_NODE
syn keyword naslConstant STATUS_CLUSTER_INVALID_REQUEST
syn keyword naslConstant STATUS_CLUSTER_JOIN_IN_PROGRESS
syn keyword naslConstant STATUS_CLUSTER_JOIN_NOT_IN_PROGRESS
syn keyword naslConstant STATUS_CLUSTER_LOCAL_NODE_NOT_FOUND
syn keyword naslConstant STATUS_CLUSTER_NETINTERFACE_EXISTS
syn keyword naslConstant STATUS_CLUSTER_NETINTERFACE_NOT_FOUND
syn keyword naslConstant STATUS_CLUSTER_NETWORK_ALREADY_OFFLINE
syn keyword naslConstant STATUS_CLUSTER_NETWORK_ALREADY_ONLINE
syn keyword naslConstant STATUS_CLUSTER_NETWORK_EXISTS
syn keyword naslConstant STATUS_CLUSTER_NETWORK_NOT_FOUND
syn keyword naslConstant STATUS_CLUSTER_NETWORK_NOT_INTERNAL
syn keyword naslConstant STATUS_CLUSTER_NODE_ALREADY_DOWN
syn keyword naslConstant STATUS_CLUSTER_NODE_ALREADY_MEMBER
syn keyword naslConstant STATUS_CLUSTER_NODE_ALREADY_UP
syn keyword naslConstant STATUS_CLUSTER_NODE_DOWN
syn keyword naslConstant STATUS_CLUSTER_NODE_EXISTS
syn keyword naslConstant STATUS_CLUSTER_NODE_NOT_FOUND
syn keyword naslConstant STATUS_CLUSTER_NODE_NOT_MEMBER
syn keyword naslConstant STATUS_CLUSTER_NODE_NOT_PAUSED
syn keyword naslConstant STATUS_CLUSTER_NODE_PAUSED
syn keyword naslConstant STATUS_CLUSTER_NODE_UNREACHABLE
syn keyword naslConstant STATUS_CLUSTER_NODE_UP
syn keyword naslConstant STATUS_CLUSTER_NO_NET_ADAPTERS
syn keyword naslConstant STATUS_CLUSTER_NO_SECURITY_CONTEXT
syn keyword naslConstant STATUS_CLUSTER_POISONED
syn keyword naslConstant STATUS_COMMITMENT_LIMIT
syn keyword naslConstant STATUS_COMMITMENT_MINIMUM
syn keyword naslConstant STATUS_CONFLICTING_ADDRESSES
syn keyword naslConstant STATUS_CONNECTION_ABORTED
syn keyword naslConstant STATUS_CONNECTION_ACTIVE
syn keyword naslConstant STATUS_CONNECTION_COUNT_LIMIT
syn keyword naslConstant STATUS_CONNECTION_DISCONNECTED
syn keyword naslConstant STATUS_CONNECTION_INVALID
syn keyword naslConstant STATUS_CONNECTION_IN_USE
syn keyword naslConstant STATUS_CONNECTION_REFUSED
syn keyword naslConstant STATUS_CONNECTION_RESET
syn keyword naslConstant STATUS_CONTROL_C_EXIT
syn keyword naslConstant STATUS_CONVERT_TO_LARGE
syn keyword naslConstant STATUS_COPY_PROTECTION_FAILURE
syn keyword naslConstant STATUS_CORRUPT_SYSTEM_FILE
syn keyword naslConstant STATUS_COULD_NOT_INTERPRET
syn keyword naslConstant STATUS_CRASH_DUMP
syn keyword naslConstant STATUS_CRC_ERROR
syn keyword naslConstant STATUS_CRYPTO_SYSTEM_INVALID
syn keyword naslConstant STATUS_CSS_AUTHENTICATION_FAILURE
syn keyword naslConstant STATUS_CSS_KEY_NOT_ESTABLISHED
syn keyword naslConstant STATUS_CSS_KEY_NOT_PRESENT
syn keyword naslConstant STATUS_CSS_REGION_MISMATCH
syn keyword naslConstant STATUS_CSS_RESETS_EXHAUSTED
syn keyword naslConstant STATUS_CSS_SCRAMBLED_SECTOR
syn keyword naslConstant STATUS_CTL_FILE_NOT_SUPPORTED
syn keyword naslConstant STATUS_CTX_BAD_VIDEO_MODE
syn keyword naslConstant STATUS_CTX_CDM_CONNECT
syn keyword naslConstant STATUS_CTX_CDM_DISCONNECT
syn keyword naslConstant STATUS_CTX_CLIENT_LICENSE_IN_USE
syn keyword naslConstant STATUS_CTX_CLIENT_LICENSE_NOT_SET
syn keyword naslConstant STATUS_CTX_CLIENT_QUERY_TIMEOUT
syn keyword naslConstant STATUS_CTX_CLOSE_PENDING
syn keyword naslConstant STATUS_CTX_CONSOLE_CONNECT
syn keyword naslConstant STATUS_CTX_CONSOLE_DISCONNECT
syn keyword naslConstant STATUS_CTX_GRAPHICS_INVALID
syn keyword naslConstant STATUS_CTX_INVALID_MODEMNAME
syn keyword naslConstant STATUS_CTX_INVALID_PD
syn keyword naslConstant STATUS_CTX_INVALID_WD
syn keyword naslConstant STATUS_CTX_LICENSE_CLIENT_INVALID
syn keyword naslConstant STATUS_CTX_LICENSE_EXPIRED
syn keyword naslConstant STATUS_CTX_LICENSE_NOT_AVAILABLE
syn keyword naslConstant STATUS_CTX_MODEM_INF_NOT_FOUND
syn keyword naslConstant STATUS_CTX_MODEM_RESPONSE_BUSY
syn keyword naslConstant STATUS_CTX_MODEM_RESPONSE_NO_CARRIER
syn keyword naslConstant STATUS_CTX_MODEM_RESPONSE_NO_DIALTONE
syn keyword naslConstant STATUS_CTX_MODEM_RESPONSE_TIMEOUT
syn keyword naslConstant STATUS_CTX_MODEM_RESPONSE_VOICE
syn keyword naslConstant STATUS_CTX_NOT_CONSOLE
syn keyword naslConstant STATUS_CTX_NO_OUTBUF
syn keyword naslConstant STATUS_CTX_PD_NOT_FOUND
syn keyword naslConstant STATUS_CTX_RESPONSE_ERROR
syn keyword naslConstant STATUS_CTX_SHADOW_DENIED
syn keyword naslConstant STATUS_CTX_SHADOW_DISABLED
syn keyword naslConstant STATUS_CTX_SHADOW_ENDED_BY_MODE_CHANGE
syn keyword naslConstant STATUS_CTX_SHADOW_INVALID
syn keyword naslConstant STATUS_CTX_SHADOW_NOT_RUNNING
syn keyword naslConstant STATUS_CTX_TD_ERROR
syn keyword naslConstant STATUS_CTX_WD_NOT_FOUND
syn keyword naslConstant STATUS_CTX_WINSTATION_ACCESS_DENIED
syn keyword naslConstant STATUS_CTX_WINSTATION_BUSY
syn keyword naslConstant STATUS_CTX_WINSTATION_NAME_COLLISION
syn keyword naslConstant STATUS_CTX_WINSTATION_NAME_INVALID
syn keyword naslConstant STATUS_CTX_WINSTATION_NOT_FOUND
syn keyword naslConstant STATUS_CURRENT_DOMAIN_NOT_ALLOWED
syn keyword naslConstant STATUS_DATATYPE_MISALIGNMENT
syn keyword naslConstant STATUS_DATATYPE_MISALIGNMENT_ERROR
syn keyword naslConstant STATUS_DATA_ERROR
syn keyword naslConstant STATUS_DATA_LATE_ERROR
syn keyword naslConstant STATUS_DATA_NOT_ACCEPTED
syn keyword naslConstant STATUS_DATA_OVERRUN
syn keyword naslConstant STATUS_DEBUGGER_INACTIVE
syn keyword naslConstant STATUS_DEBUG_ATTACH_FAILED
syn keyword naslConstant STATUS_DECRYPTION_FAILED
syn keyword naslConstant STATUS_DELETE_PENDING
syn keyword naslConstant STATUS_DESTINATION_ELEMENT_FULL
syn keyword naslConstant STATUS_DEVICE_ALREADY_ATTACHED
syn keyword naslConstant STATUS_DEVICE_BUSY
syn keyword naslConstant STATUS_DEVICE_CONFIGURATION_ERROR
syn keyword naslConstant STATUS_DEVICE_DATA_ERROR
syn keyword naslConstant STATUS_DEVICE_DOES_NOT_EXIST
syn keyword naslConstant STATUS_DEVICE_DOOR_OPEN
syn keyword naslConstant STATUS_DEVICE_ENUMERATION_ERROR
syn keyword naslConstant STATUS_DEVICE_NOT_CONNECTED
syn keyword naslConstant STATUS_DEVICE_NOT_PARTITIONED
syn keyword naslConstant STATUS_DEVICE_NOT_READY
syn keyword naslConstant STATUS_DEVICE_OFF_LINE
syn keyword naslConstant STATUS_DEVICE_PAPER_EMPTY
syn keyword naslConstant STATUS_DEVICE_POWERED_OFF
syn keyword naslConstant STATUS_DEVICE_POWER_FAILURE
syn keyword naslConstant STATUS_DEVICE_PROTOCOL_ERROR
syn keyword naslConstant STATUS_DEVICE_REMOVED
syn keyword naslConstant STATUS_DEVICE_REQUIRES_CLEANING
syn keyword naslConstant STATUS_DFS_EXIT_PATH_FOUND
syn keyword naslConstant STATUS_DFS_UNAVAILABLE
syn keyword naslConstant STATUS_DIRECTORY_IS_A_REPARSE_POINT
syn keyword naslConstant STATUS_DIRECTORY_NOT_EMPTY
syn keyword naslConstant STATUS_DIRECTORY_SERVICE_REQUIRED
syn keyword naslConstant STATUS_DISK_CORRUPT_ERROR
syn keyword naslConstant STATUS_DISK_FULL
syn keyword naslConstant STATUS_DISK_OPERATION_FAILED
syn keyword naslConstant STATUS_DISK_RECALIBRATE_FAILED
syn keyword naslConstant STATUS_DISK_RESET_FAILED
syn keyword naslConstant STATUS_DLL_INIT_FAILED
syn keyword naslConstant STATUS_DLL_INIT_FAILED_LOGOFF
syn keyword naslConstant STATUS_DLL_NOT_FOUND
syn keyword naslConstant STATUS_DOMAIN_CONTROLLER_NOT_FOUND
syn keyword naslConstant STATUS_DOMAIN_CTRLR_CONFIG_ERROR
syn keyword naslConstant STATUS_DOMAIN_EXISTS
syn keyword naslConstant STATUS_DOMAIN_LIMIT_EXCEEDED
syn keyword naslConstant STATUS_DOMAIN_TRUST_INCONSISTENT
syn keyword naslConstant STATUS_DOWNGRADE_DETECTED
syn keyword naslConstant STATUS_DRIVER_BLOCKED
syn keyword naslConstant STATUS_DRIVER_BLOCKED_CRITICAL
syn keyword naslConstant STATUS_DRIVER_CANCEL_TIMEOUT
syn keyword naslConstant STATUS_DRIVER_DATABASE_ERROR
syn keyword naslConstant STATUS_DRIVER_ENTRYPOINT_NOT_FOUND
syn keyword naslConstant STATUS_DRIVER_FAILED_PRIOR_UNLOAD
syn keyword naslConstant STATUS_DRIVER_FAILED_SLEEP
syn keyword naslConstant STATUS_DRIVER_INTERNAL_ERROR
syn keyword naslConstant STATUS_DRIVER_ORDINAL_NOT_FOUND
syn keyword naslConstant STATUS_DRIVER_UNABLE_TO_LOAD
syn keyword naslConstant STATUS_DS_ADMIN_LIMIT_EXCEEDED
syn keyword naslConstant STATUS_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER
syn keyword naslConstant STATUS_DS_ATTRIBUTE_OR_VALUE_EXISTS
syn keyword naslConstant STATUS_DS_ATTRIBUTE_TYPE_UNDEFINED
syn keyword naslConstant STATUS_DS_BUSY
syn keyword naslConstant STATUS_DS_CANT_MOD_OBJ_CLASS
syn keyword naslConstant STATUS_DS_CANT_MOD_PRIMARYGROUPID
syn keyword naslConstant STATUS_DS_CANT_ON_NON_LEAF
syn keyword naslConstant STATUS_DS_CANT_ON_RDN
syn keyword naslConstant STATUS_DS_CANT_START
syn keyword naslConstant STATUS_DS_CROSS_DOM_MOVE_FAILED
syn keyword naslConstant STATUS_DS_GC_NOT_AVAILABLE
syn keyword naslConstant STATUS_DS_GC_REQUIRED
syn keyword naslConstant STATUS_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER
syn keyword naslConstant STATUS_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER
syn keyword naslConstant STATUS_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER
syn keyword naslConstant STATUS_DS_HAVE_PRIMARY_MEMBERS
syn keyword naslConstant STATUS_DS_INCORRECT_ROLE_OWNER
syn keyword naslConstant STATUS_DS_INIT_FAILURE
syn keyword naslConstant STATUS_DS_INIT_FAILURE_CONSOLE
syn keyword naslConstant STATUS_DS_INVALID_ATTRIBUTE_SYNTAX
syn keyword naslConstant STATUS_DS_INVALID_GROUP_TYPE
syn keyword naslConstant STATUS_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER
syn keyword naslConstant STATUS_DS_LOCAL_MEMBER_OF_LOCAL_ONLY
syn keyword naslConstant STATUS_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED
syn keyword naslConstant STATUS_DS_MEMBERSHIP_EVALUATED_LOCALLY
syn keyword naslConstant STATUS_DS_NO_ATTRIBUTE_OR_VALUE
syn keyword naslConstant STATUS_DS_NO_FPO_IN_UNIVERSAL_GROUPS
syn keyword naslConstant STATUS_DS_NO_MORE_RIDS
syn keyword naslConstant STATUS_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN
syn keyword naslConstant STATUS_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN
syn keyword naslConstant STATUS_DS_NO_RIDS_ALLOCATED
syn keyword naslConstant STATUS_DS_OBJ_CLASS_VIOLATION
syn keyword naslConstant STATUS_DS_RIDMGR_INIT_ERROR
syn keyword naslConstant STATUS_DS_SAM_INIT_FAILURE
syn keyword naslConstant STATUS_DS_SAM_INIT_FAILURE_CONSOLE
syn keyword naslConstant STATUS_DS_SENSITIVE_GROUP_VIOLATION
syn keyword naslConstant STATUS_DS_SHUTTING_DOWN
syn keyword naslConstant STATUS_DS_UNAVAILABLE
syn keyword naslConstant STATUS_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER
syn keyword naslConstant STATUS_DS_VERSION_CHECK_FAILURE
syn keyword naslConstant STATUS_DUPLICATE_NAME
syn keyword naslConstant STATUS_DUPLICATE_OBJECTID
syn keyword naslConstant STATUS_EAS_NOT_SUPPORTED
syn keyword naslConstant STATUS_EA_CORRUPT_ERROR
syn keyword naslConstant STATUS_EA_LIST_INCONSISTENT
syn keyword naslConstant STATUS_EA_TOO_LARGE
syn keyword naslConstant STATUS_EFS_ALG_BLOB_TOO_BIG
syn keyword naslConstant STATUS_ENCRYPTION_FAILED
syn keyword naslConstant STATUS_END_OF_FILE
syn keyword naslConstant STATUS_END_OF_MEDIA
syn keyword naslConstant STATUS_ENTRYPOINT_NOT_FOUND
syn keyword naslConstant STATUS_EOM_OVERFLOW
syn keyword naslConstant STATUS_EVALUATION_EXPIRATION
syn keyword naslConstant STATUS_EVENTLOG_CANT_START
syn keyword naslConstant STATUS_EVENTLOG_FILE_CHANGED
syn keyword naslConstant STATUS_EVENTLOG_FILE_CORRUPT
syn keyword naslConstant STATUS_EVENT_DONE
syn keyword naslConstant STATUS_EVENT_PENDING
syn keyword naslConstant STATUS_EXTRANEOUS_INFORMATION
syn keyword naslConstant STATUS_FAILED_DRIVER_ENTRY
syn keyword naslConstant STATUS_FAIL_CHECK
syn keyword naslConstant STATUS_FATAL_APP_EXIT
syn keyword naslConstant STATUS_FILEMARK_DETECTED
syn keyword naslConstant STATUS_FILES_OPEN
syn keyword naslConstant STATUS_FILE_CLOSED
syn keyword naslConstant STATUS_FILE_CORRUPT_ERROR
syn keyword naslConstant STATUS_FILE_DELETED
syn keyword naslConstant STATUS_FILE_ENCRYPTED
syn keyword naslConstant STATUS_FILE_FORCED_CLOSED
syn keyword naslConstant STATUS_FILE_INVALID
syn keyword naslConstant STATUS_FILE_IS_A_DIRECTORY
syn keyword naslConstant STATUS_FILE_IS_OFFLINE
syn keyword naslConstant STATUS_FILE_LOCK_CONFLICT
syn keyword naslConstant STATUS_FILE_NOT_ENCRYPTED
syn keyword naslConstant STATUS_FILE_RENAMED
syn keyword naslConstant STATUS_FLOAT_DENORMAL_OPERAND
syn keyword naslConstant STATUS_FLOAT_DIVIDE_BY_ZERO
syn keyword naslConstant STATUS_FLOAT_INEXACT_RESULT
syn keyword naslConstant STATUS_FLOAT_INVALID_OPERATION
syn keyword naslConstant STATUS_FLOAT_MULTIPLE_FAULTS
syn keyword naslConstant STATUS_FLOAT_MULTIPLE_TRAPS
syn keyword naslConstant STATUS_FLOAT_OVERFLOW
syn keyword naslConstant STATUS_FLOAT_STACK_CHECK
syn keyword naslConstant STATUS_FLOAT_UNDERFLOW
syn keyword naslConstant STATUS_FLOPPY_BAD_REGISTERS
syn keyword naslConstant STATUS_FLOPPY_ID_MARK_NOT_FOUND
syn keyword naslConstant STATUS_FLOPPY_UNKNOWN_ERROR
syn keyword naslConstant STATUS_FLOPPY_VOLUME
syn keyword naslConstant STATUS_FLOPPY_WRONG_CYLINDER
syn keyword naslConstant STATUS_FOUND_OUT_OF_SCOPE
syn keyword naslConstant STATUS_FREE_VM_NOT_AT_BASE
syn keyword naslConstant STATUS_FS_DRIVER_REQUIRED
syn keyword naslConstant STATUS_FT_MISSING_MEMBER
syn keyword naslConstant STATUS_FT_ORPHANING
syn keyword naslConstant STATUS_FT_READ_RECOVERY_FROM_BACKUP
syn keyword naslConstant STATUS_FT_WRITE_RECOVERY
syn keyword naslConstant STATUS_FULLSCREEN_MODE
syn keyword naslConstant STATUS_GENERIC_NOT_MAPPED
syn keyword naslConstant STATUS_GRACEFUL_DISCONNECT
syn keyword naslConstant STATUS_GROUP_EXISTS
syn keyword naslConstant STATUS_GUARD_PAGE_VIOLATION
syn keyword naslConstant STATUS_GUIDS_EXHAUSTED
syn keyword naslConstant STATUS_GUID_SUBSTITUTION_MADE
syn keyword naslConstant STATUS_HANDLES_CLOSED
syn keyword naslConstant STATUS_HANDLE_NOT_CLOSABLE
syn keyword naslConstant STATUS_HIBERNATED
syn keyword naslConstant STATUS_HOST_DOWN
syn keyword naslConstant STATUS_HOST_UNREACHABLE
syn keyword naslConstant STATUS_ILLEGAL_CHARACTER
syn keyword naslConstant STATUS_ILLEGAL_DLL_RELOCATION
syn keyword naslConstant STATUS_ILLEGAL_ELEMENT_ADDRESS
syn keyword naslConstant STATUS_ILLEGAL_FLOAT_CONTEXT
syn keyword naslConstant STATUS_ILLEGAL_FUNCTION
syn keyword naslConstant STATUS_ILLEGAL_INSTRUCTION
syn keyword naslConstant STATUS_ILL_FORMED_PASSWORD
syn keyword naslConstant STATUS_ILL_FORMED_SERVICE_ENTRY
syn keyword naslConstant STATUS_IMAGE_ALREADY_LOADED
syn keyword naslConstant STATUS_IMAGE_CHECKSUM_MISMATCH
syn keyword naslConstant STATUS_IMAGE_MACHINE_TYPE_MISMATCH
syn keyword naslConstant STATUS_IMAGE_MACHINE_TYPE_MISMATCH_EXE
syn keyword naslConstant STATUS_IMAGE_MP_UP_MISMATCH
syn keyword naslConstant STATUS_IMAGE_NOT_AT_BASE
syn keyword naslConstant STATUS_INCOMPATIBLE_FILE_MAP
syn keyword naslConstant STATUS_INFO_LENGTH_MISMATCH
syn keyword naslConstant STATUS_INSTANCE_NOT_AVAILABLE
syn keyword naslConstant STATUS_INSTRUCTION_MISALIGNMENT
syn keyword naslConstant STATUS_INSUFFICIENT_LOGON_INFO
syn keyword naslConstant STATUS_INSUFFICIENT_POWER
syn keyword naslConstant STATUS_INSUFFICIENT_RESOURCES
syn keyword naslConstant STATUS_INSUFF_SERVER_RESOURCES
syn keyword naslConstant STATUS_INTEGER_DIVIDE_BY_ZERO
syn keyword naslConstant STATUS_INTEGER_OVERFLOW
syn keyword naslConstant STATUS_INTERNAL_DB_CORRUPTION
syn keyword naslConstant STATUS_INTERNAL_DB_ERROR
syn keyword naslConstant STATUS_INTERNAL_ERROR
syn keyword naslConstant STATUS_INVALID_ACCOUNT_NAME
syn keyword naslConstant STATUS_INVALID_ACL
syn keyword naslConstant STATUS_INVALID_ADDRESS
syn keyword naslConstant STATUS_INVALID_ADDRESS_COMPONENT
syn keyword naslConstant STATUS_INVALID_ADDRESS_WILDCARD
syn keyword naslConstant STATUS_INVALID_BLOCK_LENGTH
syn keyword naslConstant STATUS_INVALID_BUFFER_SIZE
syn keyword naslConstant STATUS_INVALID_CID
syn keyword naslConstant STATUS_INVALID_COMPUTER_NAME
syn keyword naslConstant STATUS_INVALID_CONNECTION
syn keyword naslConstant STATUS_INVALID_DEVICE_OBJECT_PARAMETER
syn keyword naslConstant STATUS_INVALID_DEVICE_REQUEST
syn keyword naslConstant STATUS_INVALID_DEVICE_STATE
syn keyword naslConstant STATUS_INVALID_DISPOSITION
syn keyword naslConstant STATUS_INVALID_DOMAIN_ROLE
syn keyword naslConstant STATUS_INVALID_DOMAIN_STATE
syn keyword naslConstant STATUS_INVALID_EA_FLAG
syn keyword naslConstant STATUS_INVALID_EA_NAME
syn keyword naslConstant STATUS_INVALID_FILE_FOR_SECTION
syn keyword naslConstant STATUS_INVALID_GROUP_ATTRIBUTES
syn keyword naslConstant STATUS_INVALID_HANDLE
syn keyword naslConstant STATUS_INVALID_HW_PROFILE
syn keyword naslConstant STATUS_INVALID_ID_AUTHORITY
syn keyword naslConstant STATUS_INVALID_IMAGE_FORMAT
syn keyword naslConstant STATUS_INVALID_IMAGE_LE_FORMAT
syn keyword naslConstant STATUS_INVALID_IMAGE_NE_FORMAT
syn keyword naslConstant STATUS_INVALID_IMAGE_NOT_MZ
syn keyword naslConstant STATUS_INVALID_IMAGE_PROTECT
syn keyword naslConstant STATUS_INVALID_IMAGE_WIN_16
syn keyword naslConstant STATUS_INVALID_IMAGE_WIN_32
syn keyword naslConstant STATUS_INVALID_IMAGE_WIN_64
syn keyword naslConstant STATUS_INVALID_IMPORT_OF_NON_DLL
syn keyword naslConstant STATUS_INVALID_INFO_CLASS
syn keyword naslConstant STATUS_INVALID_LDT_DESCRIPTOR
syn keyword naslConstant STATUS_INVALID_LDT_OFFSET
syn keyword naslConstant STATUS_INVALID_LDT_SIZE
syn keyword naslConstant STATUS_INVALID_LEVEL
syn keyword naslConstant STATUS_INVALID_LOCK_SEQUENCE
syn keyword naslConstant STATUS_INVALID_LOGON_HOURS
syn keyword naslConstant STATUS_INVALID_LOGON_TYPE
syn keyword naslConstant STATUS_INVALID_MEMBER
syn keyword naslConstant STATUS_INVALID_NETWORK_RESPONSE
syn keyword naslConstant STATUS_INVALID_OPLOCK_PROTOCOL
syn keyword naslConstant STATUS_INVALID_OWNER
syn keyword naslConstant STATUS_INVALID_PAGE_PROTECTION
syn keyword naslConstant STATUS_INVALID_PARAMETER
syn keyword naslConstant STATUS_INVALID_PARAMETER_1
syn keyword naslConstant STATUS_INVALID_PARAMETER_10
syn keyword naslConstant STATUS_INVALID_PARAMETER_11
syn keyword naslConstant STATUS_INVALID_PARAMETER_12
syn keyword naslConstant STATUS_INVALID_PARAMETER_2
syn keyword naslConstant STATUS_INVALID_PARAMETER_3
syn keyword naslConstant STATUS_INVALID_PARAMETER_4
syn keyword naslConstant STATUS_INVALID_PARAMETER_5
syn keyword naslConstant STATUS_INVALID_PARAMETER_6
syn keyword naslConstant STATUS_INVALID_PARAMETER_7
syn keyword naslConstant STATUS_INVALID_PARAMETER_8
syn keyword naslConstant STATUS_INVALID_PARAMETER_9
syn keyword naslConstant STATUS_INVALID_PARAMETER_MIX
syn keyword naslConstant STATUS_INVALID_PIPE_STATE
syn keyword naslConstant STATUS_INVALID_PLUGPLAY_DEVICE_PATH
syn keyword naslConstant STATUS_INVALID_PORT_ATTRIBUTES
syn keyword naslConstant STATUS_INVALID_PORT_HANDLE
syn keyword naslConstant STATUS_INVALID_PRIMARY_GROUP
syn keyword naslConstant STATUS_INVALID_QUOTA_LOWER
syn keyword naslConstant STATUS_INVALID_READ_MODE
syn keyword naslConstant STATUS_INVALID_SECURITY_DESCR
syn keyword naslConstant STATUS_INVALID_SERVER_STATE
syn keyword naslConstant STATUS_INVALID_SID
syn keyword naslConstant STATUS_INVALID_SUB_AUTHORITY
syn keyword naslConstant STATUS_INVALID_SYSTEM_SERVICE
syn keyword naslConstant STATUS_INVALID_UNWIND_TARGET
syn keyword naslConstant STATUS_INVALID_USER_BUFFER
syn keyword naslConstant STATUS_INVALID_VARIANT
syn keyword naslConstant STATUS_INVALID_VIEW_SIZE
syn keyword naslConstant STATUS_INVALID_VOLUME_LABEL
syn keyword naslConstant STATUS_INVALID_WORKSTATION
syn keyword naslConstant STATUS_IN_PAGE_ERROR
syn keyword naslConstant STATUS_IO_DEVICE_ERROR
syn keyword naslConstant STATUS_IO_PRIVILEGE_FAILED
syn keyword naslConstant STATUS_IO_REPARSE_DATA_INVALID
syn keyword naslConstant STATUS_IO_REPARSE_TAG_INVALID
syn keyword naslConstant STATUS_IO_REPARSE_TAG_MISMATCH
syn keyword naslConstant STATUS_IO_REPARSE_TAG_NOT_HANDLED
syn keyword naslConstant STATUS_IO_TIMEOUT
syn keyword naslConstant STATUS_IP_ADDRESS_CONFLICT1
syn keyword naslConstant STATUS_IP_ADDRESS_CONFLICT2
syn keyword naslConstant STATUS_ISSUING_CA_UNTRUSTED
syn keyword naslConstant STATUS_JOURNAL_DELETE_IN_PROGRESS
syn keyword naslConstant STATUS_JOURNAL_ENTRY_DELETED
syn keyword naslConstant STATUS_JOURNAL_NOT_ACTIVE
syn keyword naslConstant STATUS_KDC_INVALID_REQUEST
syn keyword naslConstant STATUS_KDC_UNABLE_TO_REFER
syn keyword naslConstant STATUS_KDC_UNKNOWN_ETYPE
syn keyword naslConstant STATUS_KERNEL_APC
syn keyword naslConstant STATUS_KEY_DELETED
syn keyword naslConstant STATUS_KEY_HAS_CHILDREN
syn keyword naslConstant STATUS_LAST_ADMIN
syn keyword naslConstant STATUS_LICENSE_QUOTA_EXCEEDED
syn keyword naslConstant STATUS_LICENSE_VIOLATION
syn keyword naslConstant STATUS_LINK_FAILED
syn keyword naslConstant STATUS_LINK_TIMEOUT
syn keyword naslConstant STATUS_LM_CROSS_ENCRYPTION_REQUIRED
syn keyword naslConstant STATUS_LOCAL_DISCONNECT
syn keyword naslConstant STATUS_LOCAL_USER_SESSION_KEY
syn keyword naslConstant STATUS_LOCK_NOT_GRANTED
syn keyword naslConstant STATUS_LOGIN_TIME_RESTRICTION
syn keyword naslConstant STATUS_LOGIN_WKSTA_RESTRICTION
syn keyword naslConstant STATUS_LOGON_FAILURE
syn keyword naslConstant STATUS_LOGON_NOT_GRANTED
syn keyword naslConstant STATUS_LOGON_SERVER_CONFLICT
syn keyword naslConstant STATUS_LOGON_SESSION_COLLISION
syn keyword naslConstant STATUS_LOGON_SESSION_EXISTS
syn keyword naslConstant STATUS_LOGON_TYPE_NOT_GRANTED
syn keyword naslConstant STATUS_LOG_FILE_FULL
syn keyword naslConstant STATUS_LOG_HARD_ERROR
syn keyword naslConstant STATUS_LONGJUMP
syn keyword naslConstant STATUS_LOST_WRITEBEHIND_DATA
syn keyword naslConstant STATUS_LPC_REPLY_LOST
syn keyword naslConstant STATUS_LUIDS_EXHAUSTED
syn keyword naslConstant STATUS_MAGAZINE_NOT_PRESENT
syn keyword naslConstant STATUS_MAPPED_ALIGNMENT
syn keyword naslConstant STATUS_MAPPED_FILE_SIZE_ZERO
syn keyword naslConstant STATUS_MARSHALL_OVERFLOW
syn keyword naslConstant STATUS_MAX_REFERRALS_EXCEEDED
syn keyword naslConstant STATUS_MCA_OCCURED
syn keyword naslConstant STATUS_MEDIA_CHANGED
syn keyword naslConstant STATUS_MEDIA_CHECK
syn keyword naslConstant STATUS_MEDIA_WRITE_PROTECTED
syn keyword naslConstant STATUS_MEMBERS_PRIMARY_GROUP
syn keyword naslConstant STATUS_MEMBER_IN_ALIAS
syn keyword naslConstant STATUS_MEMBER_IN_GROUP
syn keyword naslConstant STATUS_MEMBER_NOT_IN_ALIAS
syn keyword naslConstant STATUS_MEMBER_NOT_IN_GROUP
syn keyword naslConstant STATUS_MEMORY_NOT_ALLOCATED
syn keyword naslConstant STATUS_MESSAGE_NOT_FOUND
syn keyword naslConstant STATUS_MFT_TOO_FRAGMENTED
syn keyword naslConstant STATUS_MISSING_SYSTEMFILE
syn keyword naslConstant STATUS_MORE_ENTRIES
syn keyword naslConstant STATUS_MORE_PROCESSING_REQUIRED
syn keyword naslConstant STATUS_MOUNT_POINT_NOT_RESOLVED
syn keyword naslConstant STATUS_MP_PROCESSOR_MISMATCH
syn keyword naslConstant STATUS_MULTIPLE_FAULT_VIOLATION
syn keyword naslConstant STATUS_MUST_BE_KDC
syn keyword naslConstant STATUS_MUTANT_LIMIT_EXCEEDED
syn keyword naslConstant STATUS_MUTANT_NOT_OWNED
syn keyword naslConstant STATUS_MUTUAL_AUTHENTICATION_FAILED
syn keyword naslConstant STATUS_NAME_TOO_LONG
syn keyword naslConstant STATUS_NETLOGON_NOT_STARTED
syn keyword naslConstant STATUS_NETWORK_ACCESS_DENIED
syn keyword naslConstant STATUS_NETWORK_BUSY
syn keyword naslConstant STATUS_NETWORK_CREDENTIAL_CONFLICT
syn keyword naslConstant STATUS_NETWORK_NAME_DELETED
syn keyword naslConstant STATUS_NETWORK_SESSION_EXPIRED
syn keyword naslConstant STATUS_NETWORK_UNREACHABLE
syn keyword naslConstant STATUS_NET_WRITE_FAULT
syn keyword naslConstant STATUS_NOINTERFACE
syn keyword naslConstant STATUS_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT
syn keyword naslConstant STATUS_NOLOGON_SERVER_TRUST_ACCOUNT
syn keyword naslConstant STATUS_NOLOGON_WORKSTATION_TRUST_ACCOUNT
syn keyword naslConstant STATUS_NONCONTINUABLE_EXCEPTION
syn keyword naslConstant STATUS_NONEXISTENT_EA_ENTRY
syn keyword naslConstant STATUS_NONEXISTENT_SECTOR
syn keyword naslConstant STATUS_NONE_MAPPED
syn keyword naslConstant STATUS_NOTHING_TO_TERMINATE
syn keyword naslConstant STATUS_NOTIFY_CLEANUP
syn keyword naslConstant STATUS_NOTIFY_ENUM_DIR
syn keyword naslConstant STATUS_NOT_ALL_ASSIGNED
syn keyword naslConstant STATUS_NOT_A_DIRECTORY
syn keyword naslConstant STATUS_NOT_A_REPARSE_POINT
syn keyword naslConstant STATUS_NOT_CLIENT_SESSION
syn keyword naslConstant STATUS_NOT_COMMITTED
syn keyword naslConstant STATUS_NOT_EXPORT_FORMAT
syn keyword naslConstant STATUS_NOT_FOUND
syn keyword naslConstant STATUS_NOT_IMPLEMENTED
syn keyword naslConstant STATUS_NOT_LOCKED
syn keyword naslConstant STATUS_NOT_LOGON_PROCESS
syn keyword naslConstant STATUS_NOT_MAPPED_DATA
syn keyword naslConstant STATUS_NOT_MAPPED_VIEW
syn keyword naslConstant STATUS_NOT_REGISTRY_FILE
syn keyword naslConstant STATUS_NOT_SAFE_MODE_DRIVER
syn keyword naslConstant STATUS_NOT_SAME_DEVICE
syn keyword naslConstant STATUS_NOT_SERVER_SESSION
syn keyword naslConstant STATUS_NOT_SUPPORTED
syn keyword naslConstant STATUS_NOT_SUPPORTED_ON_SBS
syn keyword naslConstant STATUS_NOT_TINY_STREAM
syn keyword naslConstant STATUS_NO_BROWSER_SERVERS_FOUND
syn keyword naslConstant STATUS_NO_CALLBACK_ACTIVE
syn keyword naslConstant STATUS_NO_DATA_DETECTED
syn keyword naslConstant STATUS_NO_EAS_ON_FILE
syn keyword naslConstant STATUS_NO_EFS
syn keyword naslConstant STATUS_NO_EVENT_PAIR
syn keyword naslConstant STATUS_NO_GUID_TRANSLATION
syn keyword naslConstant STATUS_NO_IMPERSONATION_TOKEN
syn keyword naslConstant STATUS_NO_INHERITANCE
syn keyword naslConstant STATUS_NO_IP_ADDRESSES
syn keyword naslConstant STATUS_NO_KERB_KEY
syn keyword naslConstant STATUS_NO_LDT
syn keyword naslConstant STATUS_NO_LOGON_SERVERS
syn keyword naslConstant STATUS_NO_LOG_SPACE
syn keyword naslConstant STATUS_NO_MATCH
syn keyword naslConstant STATUS_NO_MEDIA
syn keyword naslConstant STATUS_NO_MEDIA_IN_DEVICE
syn keyword naslConstant STATUS_NO_MEMORY
syn keyword naslConstant STATUS_NO_MORE_EAS
syn keyword naslConstant STATUS_NO_MORE_ENTRIES
syn keyword naslConstant STATUS_NO_MORE_FILES
syn keyword naslConstant STATUS_NO_MORE_MATCHES
syn keyword naslConstant STATUS_NO_PAGEFILE
syn keyword naslConstant STATUS_NO_PA_DATA
syn keyword naslConstant STATUS_NO_QUOTAS_FOR_ACCOUNT
syn keyword naslConstant STATUS_NO_RECOVERY_POLICY
syn keyword naslConstant STATUS_NO_SECURITY_ON_OBJECT
syn keyword naslConstant STATUS_NO_SPOOL_SPACE
syn keyword naslConstant STATUS_NO_SUCH_ALIAS
syn keyword naslConstant STATUS_NO_SUCH_DEVICE
syn keyword naslConstant STATUS_NO_SUCH_DOMAIN
syn keyword naslConstant STATUS_NO_SUCH_FILE
syn keyword naslConstant STATUS_NO_SUCH_GROUP
syn keyword naslConstant STATUS_NO_SUCH_LOGON_SESSION
syn keyword naslConstant STATUS_NO_SUCH_MEMBER
syn keyword naslConstant STATUS_NO_SUCH_PACKAGE
syn keyword naslConstant STATUS_NO_SUCH_PRIVILEGE
syn keyword naslConstant STATUS_NO_SUCH_USER
syn keyword naslConstant STATUS_NO_TGT_REPLY
syn keyword naslConstant STATUS_NO_TOKEN
syn keyword naslConstant STATUS_NO_TRACKING_SERVICE
syn keyword naslConstant STATUS_NO_TRUST_LSA_SECRET
syn keyword naslConstant STATUS_NO_TRUST_SAM_ACCOUNT
syn keyword naslConstant STATUS_NO_USER_KEYS
syn keyword naslConstant STATUS_NO_USER_SESSION_KEY
syn keyword naslConstant STATUS_NO_YIELD_PERFORMED
syn keyword naslConstant STATUS_NT_CROSS_ENCRYPTION_REQUIRED
syn keyword naslConstant STATUS_NULL_LM_PASSWORD
syn keyword naslConstant STATUS_OBJECTID_EXISTS
syn keyword naslConstant STATUS_OBJECTID_NOT_FOUND
syn keyword naslConstant STATUS_OBJECT_NAME_COLLISION
syn keyword naslConstant STATUS_OBJECT_NAME_EXISTS
syn keyword naslConstant STATUS_OBJECT_NAME_INVALID
syn keyword naslConstant STATUS_OBJECT_NAME_NOT_FOUND
syn keyword naslConstant STATUS_OBJECT_PATH_INVALID
syn keyword naslConstant STATUS_OBJECT_PATH_NOT_FOUND
syn keyword naslConstant STATUS_OBJECT_PATH_SYNTAX_BAD
syn keyword naslConstant STATUS_OBJECT_TYPE_MISMATCH
syn keyword naslConstant STATUS_ONLY_IF_CONNECTED
syn keyword naslConstant STATUS_OPEN_FAILED
syn keyword naslConstant STATUS_OPLOCK_BREAK_IN_PROGRESS
syn keyword naslConstant STATUS_OPLOCK_NOT_GRANTED
syn keyword naslConstant STATUS_ORDINAL_NOT_FOUND
syn keyword naslConstant STATUS_PAGEFILE_CREATE_FAILED
syn keyword naslConstant STATUS_PAGEFILE_QUOTA
syn keyword naslConstant STATUS_PAGEFILE_QUOTA_EXCEEDED
syn keyword naslConstant STATUS_PAGE_FAULT_COPY_ON_WRITE
syn keyword naslConstant STATUS_PAGE_FAULT_DEMAND_ZERO
syn keyword naslConstant STATUS_PAGE_FAULT_GUARD_PAGE
syn keyword naslConstant STATUS_PAGE_FAULT_PAGING_FILE
syn keyword naslConstant STATUS_PAGE_FAULT_TRANSITION
syn keyword naslConstant STATUS_PARITY_ERROR
syn keyword naslConstant STATUS_PARTIAL_COPY
syn keyword naslConstant STATUS_PARTITION_FAILURE
syn keyword naslConstant STATUS_PASSWORD_EXPIRED
syn keyword naslConstant STATUS_PASSWORD_MUST_CHANGE
syn keyword naslConstant STATUS_PASSWORD_RESTRICTION
syn keyword naslConstant STATUS_PATH_NOT_COVERED
syn keyword naslConstant STATUS_PENDING
syn keyword naslConstant STATUS_PIPE_BROKEN
syn keyword naslConstant STATUS_PIPE_BUSY
syn keyword naslConstant STATUS_PIPE_CLOSING
syn keyword naslConstant STATUS_PIPE_CONNECTED
syn keyword naslConstant STATUS_PIPE_DISCONNECTED
syn keyword naslConstant STATUS_PIPE_EMPTY
syn keyword naslConstant STATUS_PIPE_LISTENING
syn keyword naslConstant STATUS_PIPE_NOT_AVAILABLE
syn keyword naslConstant STATUS_PKINIT_CLIENT_FAILURE
syn keyword naslConstant STATUS_PKINIT_FAILURE
syn keyword naslConstant STATUS_PKINIT_NAME_MISMATCH
syn keyword naslConstant STATUS_PLUGPLAY_NO_DEVICE
syn keyword naslConstant STATUS_PLUGPLAY_QUERY_VETOED
syn keyword naslConstant STATUS_PNP_BAD_MPS_TABLE
syn keyword naslConstant STATUS_PNP_IRQ_TRANSLATION_FAILED
syn keyword naslConstant STATUS_PNP_REBOOT_REQUIRED
syn keyword naslConstant STATUS_PNP_RESTART_ENUMERATION
syn keyword naslConstant STATUS_PNP_TRANSLATION_FAILED
syn keyword naslConstant STATUS_POLICY_OBJECT_NOT_FOUND
syn keyword naslConstant STATUS_POLICY_ONLY_IN_DS
syn keyword naslConstant STATUS_PORT_ALREADY_SET
syn keyword naslConstant STATUS_PORT_CONNECTION_REFUSED
syn keyword naslConstant STATUS_PORT_DISCONNECTED
syn keyword naslConstant STATUS_PORT_MESSAGE_TOO_LONG
syn keyword naslConstant STATUS_PORT_NOT_SET
syn keyword naslConstant STATUS_PORT_UNREACHABLE
syn keyword naslConstant STATUS_POSSIBLE_DEADLOCK
syn keyword naslConstant STATUS_POWER_STATE_INVALID
syn keyword naslConstant STATUS_PREDEFINED_HANDLE
syn keyword naslConstant STATUS_PRENT4_MACHINE_ACCOUNT
syn keyword naslConstant STATUS_PRIMARY_TRANSPORT_CONNECT_FAILED
syn keyword naslConstant STATUS_PRINT_CANCELLED
syn keyword naslConstant STATUS_PRINT_QUEUE_FULL
syn keyword naslConstant STATUS_PRIVILEGED_INSTRUCTION
syn keyword naslConstant STATUS_PRIVILEGE_NOT_HELD
syn keyword naslConstant STATUS_PROCEDURE_NOT_FOUND
syn keyword naslConstant STATUS_PROCESS_IN_JOB
syn keyword naslConstant STATUS_PROCESS_IS_TERMINATING
syn keyword naslConstant STATUS_PROCESS_NOT_IN_JOB
syn keyword naslConstant STATUS_PROFILING_AT_LIMIT
syn keyword naslConstant STATUS_PROFILING_NOT_STARTED
syn keyword naslConstant STATUS_PROFILING_NOT_STOPPED
syn keyword naslConstant STATUS_PROPSET_NOT_FOUND
syn keyword naslConstant STATUS_PROTOCOL_UNREACHABLE
syn keyword naslConstant STATUS_PWD_HISTORY_CONFLICT
syn keyword naslConstant STATUS_PWD_TOO_RECENT
syn keyword naslConstant STATUS_PWD_TOO_SHORT
syn keyword naslConstant STATUS_QUOTA_EXCEEDED
syn keyword naslConstant STATUS_QUOTA_LIST_INCONSISTENT
syn keyword naslConstant STATUS_RANGE_LIST_CONFLICT
syn keyword naslConstant STATUS_RANGE_NOT_FOUND
syn keyword naslConstant STATUS_RANGE_NOT_LOCKED
syn keyword naslConstant STATUS_RDP_PROTOCOL_ERROR
syn keyword naslConstant STATUS_RECEIVE_EXPEDITED
syn keyword naslConstant STATUS_RECEIVE_PARTIAL
syn keyword naslConstant STATUS_RECEIVE_PARTIAL_EXPEDITED
syn keyword naslConstant STATUS_RECOVERY_FAILURE
syn keyword naslConstant STATUS_REDIRECTOR_HAS_OPEN_HANDLES
syn keyword naslConstant STATUS_REDIRECTOR_NOT_STARTED
syn keyword naslConstant STATUS_REDIRECTOR_PAUSED
syn keyword naslConstant STATUS_REDIRECTOR_STARTED
syn keyword naslConstant STATUS_REGISTRY_CORRUPT
syn keyword naslConstant STATUS_REGISTRY_IO_FAILED
syn keyword naslConstant STATUS_REGISTRY_QUOTA_LIMIT
syn keyword naslConstant STATUS_REGISTRY_RECOVERED
syn keyword naslConstant STATUS_REG_NAT_CONSUMPTION
syn keyword naslConstant STATUS_REINITIALIZATION_NEEDED
syn keyword naslConstant STATUS_REMOTE_DISCONNECT
syn keyword naslConstant STATUS_REMOTE_NOT_LISTENING
syn keyword naslConstant STATUS_REMOTE_RESOURCES
syn keyword naslConstant STATUS_REMOTE_SESSION_LIMIT
syn keyword naslConstant STATUS_REMOTE_STORAGE_MEDIA_ERROR
syn keyword naslConstant STATUS_REMOTE_STORAGE_NOT_ACTIVE
syn keyword naslConstant STATUS_REPARSE
syn keyword naslConstant STATUS_REPARSE_ATTRIBUTE_CONFLICT
syn keyword naslConstant STATUS_REPARSE_OBJECT
syn keyword naslConstant STATUS_REPARSE_POINT_NOT_RESOLVED
syn keyword naslConstant STATUS_REPLY_MESSAGE_MISMATCH
syn keyword naslConstant STATUS_REQUEST_ABORTED
syn keyword naslConstant STATUS_REQUEST_NOT_ACCEPTED
syn keyword naslConstant STATUS_RESOURCE_DATA_NOT_FOUND
syn keyword naslConstant STATUS_RESOURCE_LANG_NOT_FOUND
syn keyword naslConstant STATUS_RESOURCE_NAME_NOT_FOUND
syn keyword naslConstant STATUS_RESOURCE_NOT_OWNED
syn keyword naslConstant STATUS_RESOURCE_REQUIREMENTS_CHANGED
syn keyword naslConstant STATUS_RESOURCE_TYPE_NOT_FOUND
syn keyword naslConstant STATUS_RESUME_HIBERNATION
syn keyword naslConstant STATUS_RETRY
syn keyword naslConstant STATUS_REVISION_MISMATCH
syn keyword naslConstant STATUS_REVOCATION_OFFLINE_C
syn keyword naslConstant STATUS_RXACT_COMMITTED
syn keyword naslConstant STATUS_RXACT_COMMIT_FAILURE
syn keyword naslConstant STATUS_RXACT_COMMIT_NECESSARY
syn keyword naslConstant STATUS_RXACT_INVALID_STATE
syn keyword naslConstant STATUS_RXACT_STATE_CREATED
syn keyword naslConstant STATUS_SAM_INIT_FAILURE
syn keyword naslConstant STATUS_SAM_NEED_BOOTKEY_FLOPPY
syn keyword naslConstant STATUS_SAM_NEED_BOOTKEY_PASSWORD
syn keyword naslConstant STATUS_SECRET_TOO_LONG
syn keyword naslConstant STATUS_SECTION_NOT_EXTENDED
syn keyword naslConstant STATUS_SECTION_NOT_IMAGE
syn keyword naslConstant STATUS_SECTION_PROTECTION
syn keyword naslConstant STATUS_SECTION_TOO_BIG
syn keyword naslConstant STATUS_SEGMENT_NOTIFICATION
syn keyword naslConstant STATUS_SEMAPHORE_LIMIT_EXCEEDED
syn keyword naslConstant STATUS_SERIAL_COUNTER_TIMEOUT
syn keyword naslConstant STATUS_SERIAL_MORE_WRITES
syn keyword naslConstant STATUS_SERIAL_NO_DEVICE_INITED
syn keyword naslConstant STATUS_SERVER_DISABLED
syn keyword naslConstant STATUS_SERVER_HAS_OPEN_HANDLES
syn keyword naslConstant STATUS_SERVER_NOT_DISABLED
syn keyword naslConstant STATUS_SERVER_SHUTDOWN_IN_PROGRESS
syn keyword naslConstant STATUS_SERVER_SID_MISMATCH
syn keyword naslConstant STATUS_SERVICE_NOTIFICATION
syn keyword naslConstant STATUS_SETMARK_DETECTED
syn keyword naslConstant STATUS_SEVERITY_ERROR
syn keyword naslConstant STATUS_SEVERITY_INFORMATIONAL
syn keyword naslConstant STATUS_SEVERITY_SUCCESS
syn keyword naslConstant STATUS_SEVERITY_WARNING
syn keyword naslConstant STATUS_SHARED_IRQ_BUSY
syn keyword naslConstant STATUS_SHARED_POLICY
syn keyword naslConstant STATUS_SHARING_PAUSED
syn keyword naslConstant STATUS_SHARING_VIOLATION
syn keyword naslConstant STATUS_SHUTDOWN_IN_PROGRESS
syn keyword naslConstant STATUS_SINGLE_STEP
syn keyword naslConstant STATUS_SMARTCARD_CARD_BLOCKED
syn keyword naslConstant STATUS_SMARTCARD_CARD_NOT_AUTHENTICATED
syn keyword naslConstant STATUS_SMARTCARD_CERT_EXPIRED
syn keyword naslConstant STATUS_SMARTCARD_CERT_REVOKED
syn keyword naslConstant STATUS_SMARTCARD_IO_ERROR
syn keyword naslConstant STATUS_SMARTCARD_LOGON_REQUIRED
syn keyword naslConstant STATUS_SMARTCARD_NO_CARD
syn keyword naslConstant STATUS_SMARTCARD_NO_CERTIFICATE
syn keyword naslConstant STATUS_SMARTCARD_NO_KEYSET
syn keyword naslConstant STATUS_SMARTCARD_NO_KEY_CONTAINER
syn keyword naslConstant STATUS_SMARTCARD_SUBSYSTEM_FAILURE
syn keyword naslConstant STATUS_SMARTCARD_WRONG_PIN
syn keyword naslConstant STATUS_SOME_NOT_MAPPED
syn keyword naslConstant STATUS_SOURCE_ELEMENT_EMPTY
syn keyword naslConstant STATUS_SPECIAL_ACCOUNT
syn keyword naslConstant STATUS_SPECIAL_GROUP
syn keyword naslConstant STATUS_SPECIAL_USER
syn keyword naslConstant STATUS_STACK_OVERFLOW
syn keyword naslConstant STATUS_STACK_OVERFLOW_READ
syn keyword naslConstant STATUS_STRONG_CRYPTO_NOT_SUPPORTED
syn keyword naslConstant STATUS_SUCCESS
syn keyword naslConstant STATUS_SUSPEND_COUNT_EXCEEDED
syn keyword naslConstant STATUS_SXS_ACTIVATION_CONTEXT_DISABLED
syn keyword naslConstant STATUS_SXS_ASSEMBLY_MISSING
syn keyword naslConstant STATUS_SXS_ASSEMBLY_NOT_FOUND
syn keyword naslConstant STATUS_SXS_CANT_GEN_ACTCTX
syn keyword naslConstant STATUS_SXS_EARLY_DEACTIVATION
syn keyword naslConstant STATUS_SXS_INVALID_ACTCTXDATA_FORMAT
syn keyword naslConstant STATUS_SXS_INVALID_DEACTIVATION
syn keyword naslConstant STATUS_SXS_KEY_NOT_FOUND
syn keyword naslConstant STATUS_SXS_MANIFEST_FORMAT_ERROR
syn keyword naslConstant STATUS_SXS_MANIFEST_PARSE_ERROR
syn keyword naslConstant STATUS_SXS_MULTIPLE_DEACTIVATION
syn keyword naslConstant STATUS_SXS_PROCESS_DEFAULT_ALREADY_SET
syn keyword naslConstant STATUS_SXS_PROCESS_TERMINATION_REQUESTED
syn keyword naslConstant STATUS_SXS_RELEASE_ACTIVATION_CONTEXT
syn keyword naslConstant STATUS_SXS_SECTION_NOT_FOUND
syn keyword naslConstant STATUS_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY
syn keyword naslConstant STATUS_SXS_THREAD_QUERIES_DISABLED
syn keyword naslConstant STATUS_SXS_VERSION_CONFLICT
syn keyword naslConstant STATUS_SXS_WRONG_SECTION_TYPE
syn keyword naslConstant STATUS_SYNCHRONIZATION_REQUIRED
syn keyword naslConstant STATUS_SYSTEM_HIVE_TOO_LARGE
syn keyword naslConstant STATUS_SYSTEM_IMAGE_BAD_SIGNATURE
syn keyword naslConstant STATUS_SYSTEM_PROCESS_TERMINATED
syn keyword naslConstant STATUS_SYSTEM_SHUTDOWN
syn keyword naslConstant STATUS_THREAD_IS_TERMINATING
syn keyword naslConstant STATUS_THREAD_NOT_IN_PROCESS
syn keyword naslConstant STATUS_THREAD_WAS_SUSPENDED
syn keyword naslConstant STATUS_TIMEOUT
syn keyword naslConstant STATUS_TIMER_NOT_CANCELED
syn keyword naslConstant STATUS_TIMER_RESOLUTION_NOT_SET
syn keyword naslConstant STATUS_TIMER_RESUME_IGNORED
syn keyword naslConstant STATUS_TIME_DIFFERENCE_AT_DC
syn keyword naslConstant STATUS_TOKEN_ALREADY_IN_USE
syn keyword naslConstant STATUS_TOO_LATE
syn keyword naslConstant STATUS_TOO_MANY_ADDRESSES
syn keyword naslConstant STATUS_TOO_MANY_COMMANDS
syn keyword naslConstant STATUS_TOO_MANY_CONTEXT_IDS
syn keyword naslConstant STATUS_TOO_MANY_GUIDS_REQUESTED
syn keyword naslConstant STATUS_TOO_MANY_LINKS
syn keyword naslConstant STATUS_TOO_MANY_LUIDS_REQUESTED
syn keyword naslConstant STATUS_TOO_MANY_NAMES
syn keyword naslConstant STATUS_TOO_MANY_NODES
syn keyword naslConstant STATUS_TOO_MANY_OPENED_FILES
syn keyword naslConstant STATUS_TOO_MANY_PAGING_FILES
syn keyword naslConstant STATUS_TOO_MANY_PRINCIPALS
syn keyword naslConstant STATUS_TOO_MANY_SECRETS
syn keyword naslConstant STATUS_TOO_MANY_SESSIONS
syn keyword naslConstant STATUS_TOO_MANY_SIDS
syn keyword naslConstant STATUS_TOO_MANY_THREADS
syn keyword naslConstant STATUS_TRANSACTION_ABORTED
syn keyword naslConstant STATUS_TRANSACTION_INVALID_ID
syn keyword naslConstant STATUS_TRANSACTION_INVALID_TYPE
syn keyword naslConstant STATUS_TRANSACTION_NO_MATCH
syn keyword naslConstant STATUS_TRANSACTION_NO_RELEASE
syn keyword naslConstant STATUS_TRANSACTION_RESPONDED
syn keyword naslConstant STATUS_TRANSACTION_TIMED_OUT
syn keyword naslConstant STATUS_TRANSLATION_COMPLETE
syn keyword naslConstant STATUS_TRANSPORT_FULL
syn keyword naslConstant STATUS_TRUSTED_DOMAIN_FAILURE
syn keyword naslConstant STATUS_TRUSTED_RELATIONSHIP_FAILURE
syn keyword naslConstant STATUS_TRUST_FAILURE
syn keyword naslConstant STATUS_UNABLE_TO_DECOMMIT_VM
syn keyword naslConstant STATUS_UNABLE_TO_DELETE_SECTION
syn keyword naslConstant STATUS_UNABLE_TO_FREE_VM
syn keyword naslConstant STATUS_UNABLE_TO_LOCK_MEDIA
syn keyword naslConstant STATUS_UNABLE_TO_UNLOAD_MEDIA
syn keyword naslConstant STATUS_UNDEFINED_CHARACTER
syn keyword naslConstant STATUS_UNEXPECTED_IO_ERROR
syn keyword naslConstant STATUS_UNEXPECTED_MM_CREATE_ERR
syn keyword naslConstant STATUS_UNEXPECTED_MM_EXTEND_ERR
syn keyword naslConstant STATUS_UNEXPECTED_MM_MAP_ERROR
syn keyword naslConstant STATUS_UNEXPECTED_NETWORK_ERROR
syn keyword naslConstant STATUS_UNFINISHED_CONTEXT_DELETED
syn keyword naslConstant STATUS_UNHANDLED_EXCEPTION
syn keyword naslConstant STATUS_UNKNOWN_REVISION
syn keyword naslConstant STATUS_UNMAPPABLE_CHARACTER
syn keyword naslConstant STATUS_UNRECOGNIZED_MEDIA
syn keyword naslConstant STATUS_UNRECOGNIZED_VOLUME
syn keyword naslConstant STATUS_UNSUCCESSFUL
syn keyword naslConstant STATUS_UNSUPPORTED_COMPRESSION
syn keyword naslConstant STATUS_UNSUPPORTED_PREAUTH
syn keyword naslConstant STATUS_UNWIND
syn keyword naslConstant STATUS_UNWIND_CONSOLIDATE
syn keyword naslConstant STATUS_USER_APC
syn keyword naslConstant STATUS_USER_EXISTS
syn keyword naslConstant STATUS_USER_MAPPED_FILE
syn keyword naslConstant STATUS_USER_SESSION_DELETED
syn keyword naslConstant STATUS_VALIDATE_CONTINUE
syn keyword naslConstant STATUS_VARIABLE_NOT_FOUND
syn keyword naslConstant STATUS_VDM_HARD_ERROR
syn keyword naslConstant STATUS_VERIFY_REQUIRED
syn keyword naslConstant STATUS_VIRTUAL_CIRCUIT_CLOSED
syn keyword naslConstant STATUS_VOLUME_DISMOUNTED
syn keyword naslConstant STATUS_VOLUME_MOUNTED
syn keyword naslConstant STATUS_VOLUME_NOT_UPGRADED
syn keyword naslConstant STATUS_WAIT_0
syn keyword naslConstant STATUS_WAIT_1
syn keyword naslConstant STATUS_WAIT_2
syn keyword naslConstant STATUS_WAIT_3
syn keyword naslConstant STATUS_WAIT_63
syn keyword naslConstant STATUS_WAIT_FOR_OPLOCK
syn keyword naslConstant STATUS_WAKE_SYSTEM
syn keyword naslConstant STATUS_WAKE_SYSTEM_DEBUGGER
syn keyword naslConstant STATUS_WAS_LOCKED
syn keyword naslConstant STATUS_WAS_UNLOCKED
syn keyword naslConstant STATUS_WMI_ALREADY_DISABLED
syn keyword naslConstant STATUS_WMI_ALREADY_ENABLED
syn keyword naslConstant STATUS_WMI_GUID_DISCONNECTED
syn keyword naslConstant STATUS_WMI_GUID_NOT_FOUND
syn keyword naslConstant STATUS_WMI_INSTANCE_NOT_FOUND
syn keyword naslConstant STATUS_WMI_ITEMID_NOT_FOUND
syn keyword naslConstant STATUS_WMI_NOT_SUPPORTED
syn keyword naslConstant STATUS_WMI_READ_ONLY
syn keyword naslConstant STATUS_WMI_SET_FAILURE
syn keyword naslConstant STATUS_WMI_TRY_AGAIN
syn keyword naslConstant STATUS_WORKING_SET_LIMIT_RANGE
syn keyword naslConstant STATUS_WORKING_SET_QUOTA
syn keyword naslConstant STATUS_WOW_ASSERTION
syn keyword naslConstant STATUS_WRONG_CREDENTIAL_HANDLE
syn keyword naslConstant STATUS_WRONG_EFS
syn keyword naslConstant STATUS_WRONG_PASSWORD
syn keyword naslConstant STATUS_WRONG_PASSWORD_CORE
syn keyword naslConstant STATUS_WRONG_VOLUME
syn keyword naslConstant STATUS_WX86_BREAKPOINT
syn keyword naslConstant STATUS_WX86_CONTINUE
syn keyword naslConstant STATUS_WX86_CREATEWX86TIB
syn keyword naslConstant STATUS_WX86_EXCEPTION_CHAIN
syn keyword naslConstant STATUS_WX86_EXCEPTION_CONTINUE
syn keyword naslConstant STATUS_WX86_EXCEPTION_LASTCHANCE
syn keyword naslConstant STATUS_WX86_FLOAT_STACK_CHECK
syn keyword naslConstant STATUS_WX86_INTERNAL_ERROR
syn keyword naslConstant STATUS_WX86_SINGLE_STEP
syn keyword naslConstant STATUS_WX86_UNSIMULATE
syn keyword naslConstant SU_NONE
syn keyword naslConstant SU_SUDO
syn keyword naslConstant SU_SU_AND_SUDO
syn keyword naslConstant SidTypeDeletedAccount
syn keyword naslConstant SidTypeWellKnownGroup
syn keyword naslConstant TAG_MULTIPLE_COMPONENTS
syn keyword naslConstant USM_LEVEL_NO_AUTH_NO_PRIV
syn keyword naslConstant USM_SECURITY_MODEL
syn keyword naslConstant __http_store_cnt
syn keyword naslConstant __ka_socket
syn keyword naslConstant all_addr_private
syn keyword naslConstant all_addr_public
syn keyword naslConstant auth_engine_boots
syn keyword naslConstant backported
syn keyword naslConstant debug_level
syn keyword naslConstant experimental_scripts
syn keyword naslConstant i
syn keyword naslConstant report_paranoia
syn keyword naslConstant report_verbosity
syn keyword naslConstant request_id
syn keyword naslConstant supplied_logins_only
syn keyword naslConstant supported_protocol
syn keyword naslConstant thorough_tests
syn keyword naslConstant url_count


" Keywords extracted from nasl_grammar.tab.c
syn keyword naslKeyword if else for while repeat until foreach function return
syn keyword naslKeyword include break local_var global_var

" Special characters and strings
syn match   naslSpecial display contained "\\\(x\x\+\|\o\{1,3}\|.\|$\)"
syn region  naslString  start=+L\="+ skip=+\\\\\|\\"+ end=+"+ contains=naslSpecial
syn region  naslString  start=+L\='+ skip=+\\\\\|\\"+ end=+'+ contains=naslSpecial

" Comments
syn match   naslComment /\s*[#;].*$/

" Hexadecimal and integer numbers
syn match   naslNumbers display transparent "\<\d\|\.\d" contains=naslNumber
syn match   naslNumber display contained "0x\x\+\>"
syn match   naslNumber display contained "\d\+\>"

" Arguments in a function call
syn match   naslArg display contained "\a\+:"

" Parenthesis and Bracket Errors
syn region  naslParen display transparent start="(" end=")" contains=ALLBUT,naslNumber,naslParenError
syn region naslBracket display transparent start="{" end="}" contains=ALLBUT,naslBracketError,naslNumber,naslArg
syn match naslBracketError display "}"
syn match naslParenError display ")"

if version >= 508 || !exists("did_c_syn_inits")
  if version < 508
    let did_c_syn_inits = 1
    command -nargs=+ HiLink hi link <args>
  else
    command -nargs=+ HiLink hi def link <args>
  endif
  HiLink naslKeyword Conditional
  HiLink naslFunction StorageClass
  HiLink naslConstant Macro
  HiLink naslSpecial SpecialChar
  HiLink naslString String
  HiLink naslComment Comment
  HiLink naslNumber SpecialChar
  HiLink naslArg Macro
  HiLink naslParenError Error
  HiLink naslBracketError Error
endif
let b:current_syntax = "nasl"

" vim: ts=8
